<?php

namespace MoSharePointObjectSync\Observer;

use Error;
use MoSharePointObjectSync\API\Azure;

use MoSharePointObjectSync\Wrappers\pluginConstants;
use MoSharePointObjectSync\Wrappers\sharepointWrapper;
use MoSharePointObjectSync\Wrappers\wpWrapper;
use MoSharePointObjectSync\API\CustomerMOSPS;
use MoSharePointObjectSync\Observer\adminObserver;

class documentObserver{

    private static $obj;

    public static function getObserver(){
        if(!isset(self::$obj)){
            self::$obj = new documentObserver();
        }
        return self::$obj;
    }


    public function mo_sps_document_observer(){



            $app = wpWrapper::mo_sps_get_option(pluginConstants::APP_CONFIG);

         
            $state = wpWrapper::mo_sps_get_option(pluginConstants::CURRENT_STATE);

            $data =  wpWrapper::mo_sps_get_option(pluginConstants::CURRENT_STATE_VALUE);

            $feedback_config = wpWrapper::mo_sps_get_option(pluginConstants::FEEDBACK_CONFIG);
            

            
            $client = Azure::get_client($app);
            
            $serverRelativeURL = isset($app['folder_path']) ? $app['folder_path'] : '';


            // $serverRelativeURL = '/Shared Documents/';
            

            if(isset($_REQUEST['serverRelativeURL']) && isset($state) && ($state==$_REQUEST['serverRelativeURL']) && isset($_REQUEST['fetch']) && $_REQUEST['fetch']==1)
                {
                    $serverRelativeURL = $_REQUEST['serverRelativeURL'];

                    if($state==$_REQUEST['serverRelativeURL'])
                    {

                        $response = $data; 


                    }
                    else{
                        wpWrapper::mo_sps_set_option("mo_sps_save_current_state",$_REQUEST['serverRelativeURL']);
                        $response = $client->mo_sps_document_array($serverRelativeURL);
                        wpWrapper::mo_sps_set_option("mo_sps_current_state_value",$response);
                    }   
                }

            else{

                    $serverRelativeURL = $_REQUEST['serverRelativeURL'];
                    $response = $client->mo_sps_document_array($serverRelativeURL);
                    wpWrapper::mo_sps_set_option("mo_sps_save_current_state",$_REQUEST['serverRelativeURL']);
                    wpWrapper::mo_sps_set_option("mo_sps_current_state_value",$response);
            }

            $tab = isset($_REQUEST['tab'])?'Shotcode':'Document';
            

            if(isset($response['d'])){
                $error = "success";
                if($response['d'] == "Forbidden")
                    $error = "Forbidden";
                else if($response['d'] == "Attempted to perform an unauthorized operation.")
                    $error = "Attempted to perform an unauthorized operation.";
                else if($response['d'] == "Token type is not allowed.")
                    $error = "Token type is not allowed.";
                $feedback_config[$tab.' sync status'] = $error;
                wpWrapper::mo_sps_set_option(pluginConstants::FEEDBACK_CONFIG,$feedback_config);
            } else {
                $error = $response;
                if(isset($response['error']))
                {
                    
                    if(isset($response['error']['message']['value'])) {
                        $error = $response['error']['message']['value'];
                    } else {
                        $error = $response['error_description'];
                    }
                }
                
                $feedback_config[$tab.' sync status'] = $error;
                wpWrapper::mo_sps_set_option(pluginConstants::FEEDBACK_CONFIG,$feedback_config);
            }
            
            if(isset($response['d'])){
                $response['d']['site_uri'] = $app['site_uri'] == ''? $app['admin_uri'] : $app['site_uri'];
                wp_send_json_success(json_encode($response['d']));
            } elseif($_REQUEST['serverRelativeURL'] == "/Searched Documents"){
                $searched_data = wpWrapper::mo_sps_get_option(pluginConstants::CURRENT_SEARCHED_DATA);
                wp_send_json_success($searched_data);
    
            } else {
                    $error = $response;
                    if($response=="Forbidden"){
                        wp_send_json_success($response);
                    }
                    elseif(isset($response['error']))
                    {
                        
                        if(isset($response['error']['message']['value'])) {
                            $error = $response['error']['message']['value'];
                            wp_send_json_success($response['error']['message']['value']);
                        } else {
                            $error = $response['error_description'];
                            wp_send_json_success($response['error_description']);
                        }
                    }
                    else
                    {
                        wp_send_json_success(json_encode(""));
                    }
                    wpWrapper::mo_sps_set_option("error",$error);
            }
    }

        public function mo_sps_document_search_observer(){

            $app = wpWrapper::mo_sps_get_option(pluginConstants::APP_CONFIG);
    
            $state = wpWrapper::mo_sps_get_option(pluginConstants::CURRENT_STATE);
    
            $data =  wpWrapper::mo_sps_get_option(pluginConstants::CURRENT_STATE_VALUE);
            
    
            
            $client = Azure::get_client($app);
            $queryURL = $_REQUEST['queryURL'];
    
            if(isset($_REQUEST['queryURL']) && isset($state) && ($state==$_REQUEST['queryURL']))
            {
                $queryURL = $_REQUEST['queryURL'];
    
                if($state==$_REQUEST['queryURL'])
                {
                    $response = $data;
                }
                else{
                    $response = $client->mo_sps_document_search($queryURL);
                }   
            }
    
            else{   
                $queryURL = $_REQUEST['queryURL'];
                $response = $client->mo_sps_document_search($queryURL);
            }
    
            if(isset($response['d'])) {
                if($app['site_uri'] == "") $filtered_data = wpWrapper::mo_sps_search_data_refiner($app['admin_uri'],$_REQUEST['checkText'],$_REQUEST['queryText'], $response['d']);
                else $filtered_data = wpWrapper::mo_sps_search_data_refiner($app['site_uri'],$_REQUEST['checkText'],$_REQUEST['queryText'], $response['d']);
                wpWrapper::mo_sps_set_option("mo_sps_searched_data",$filtered_data);
                wp_send_json_success($filtered_data);
            }
    
            else
            {
                if($response=="Forbidden"){
                    wp_send_json_success($response);
                }
                elseif(isset($response['error']))
                {
                    
                    if(isset($response['error']['message']['value']))
                        wp_send_json_success($response['error']['message']['value']);
                    else
                        wp_send_json_success($response['error_description']);
                }
                else
                {
                    wp_send_json_success(json_encode(""));
                }
            }
        }
    }
