<?php

namespace MoSharePointObjectSync\View;

use MoSharePointObjectSync\Wrappers\pluginConstants;
use MoSharePointObjectSync\Wrappers\wpWrapper;

class appConfig
{

    private static $instance;

    public static function getView()
    {
        if (!isset(self::$instance)) {
            $class = __CLASS__;
            self::$instance = new $class;
        }
        return self::$instance;
    }

    public function mo_sps_display__tab_details()
    {
?>
        <div class="mo-ms-tab-content" style="width:77rem;">
            <h1>Configure Microsoft SharePoint Online Application</h1>
            <?php
            $this->mo_sps_create__client_config_form();
            ?>

        </div>
    <?php
    }

    private function mo_sps_create__client_config_form()
    { ?>
        <form id="client_form" class="mo_sps_ajax_submit_form" action="" method="post">
            <input type="hidden" name="option" id="app_config" value="mo_sps_azure_config_option">
            <input type="hidden" name="mo_sps_tab" value="app_config">
            <?php wp_nonce_field('mo_sps_azure_config_option'); ?>
            <div style="width: 68%">
                <div class="mo-ms-tab-content-left-border">
                    <?php
                    $this->mo_sps_display__azure_config();

                    ?>
                </div>
            </div>
        </form>
        <form class="mo_sps_ajax_submit_form" action="" method="post">
            <input type="hidden" name="option" id="app_config" value="mo_sps__config_option">
            <input type="hidden" name="mo_sps_tab" value="app_config">
            <?php wp_nonce_field('mo_sps__config_option'); ?>
            <div style="width: 68%">
                <div class="mo-ms-tab-content-left-border">
                    <?php
                    $this->mo_sps_display__sps_config();

                    ?>
                </div>
            </div>
        </form>
        <div style="width: 68%">
            <div class="mo-ms-tab-content-left-border">
                <?php
                $this->mo_sps_display__grant_permission();

                ?>
            </div>
        </div>
        <script>
            function open_azure_app_connection_window(){
                var myWindow = window.open("<?php echo esc_url_raw($this->mo_sps_get_azure_app_test_url()); ?>", "Azure AD App Connection", "scrollbars=1, width=800, height=600");
            }
            function open_sharepoint_connection_window(){
                var myWindow = window.open("<?php echo esc_url_raw($this->mo_sps_get_sharepoint_app_test_url()); ?>", "SharePoint Connection", "scrollbars=1, width=800, height=600");
            }
        </script>
    <?php }

    private function mo_sps_display__azure_config()
    {
        $app = wpWrapper::mo_sps_get_option(pluginConstants::APP_CONFIG);
        $client_id = !empty($app['client_id']) ? $app['client_id'] : '';
        $tenant_id = !empty($app['tenant_id']) ? $app['tenant_id'] : '';

        if (isset($app['client_secret']) && !empty($app['client_secret'])) {
            $client_secret = wpWrapper::mo_sps_decrypt_data($app['client_secret'], hash("sha256", $client_id));
        } else {
            $client_secret = '';
        }
    ?>

        <div class="mo-ms-tab-content-tile" style="width:135%;">
            <div class="mo-ms-tab-content-tile-content">
                <div style="display: inline">
                    <span style="font-size: 18px;font-weight: 650;display: inline-block">Step 1. Azure AD App Configuration &nbsp;&nbsp;</span>
                    <div style="float: right;display:flex;justify-content:center;align-items:center;" >
                        <span style="font-size: 18px;margin-right:5px;">&#128712;</span><a style="font-weight: 700" target="_blank" href="https://plugins.miniorange.com/microsoft-sharepoint-integration-for-wordpress#steps-for-azure">How to configure Azure AD Application?</a>
                    </div>
                </div>
                <div id="basic_attr_access_desc" class="mo_sps_help_desc" style="margin-bottom:20px;font-weight:500;">
                    <span>In order to sync the documents from sharepoint, first you'll need to create an Azure AD application. This application will allow us to securely communicate with Sharepoint Content.
                    </span>
                </div>
                <table class="mo-ms-tab-content-app-config-table">
                    <tr>
                        <td class="left-div"><span>Application ID <span style="color:red;font-weight:bold;">*</span></span></td>
                        <td class="right-div"><input required placeholder="Enter Your Application (Client) ID" style="width:75%;" type="text" name="client_id" value="<?php echo esc_html($client_id); ?>" ></td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>
                            <b>Note:</b> You can find the <b>Application ID</b> in your Active Directory application's Overview tab.
                        </td>
                    </tr>
                    <tr>
                        <td></br></td>
                    </tr>
                    <tr>
                        <td class="left-div"><span>Client Secrets <span style="color:red;font-weight:bold;">*</span></span></td>
                        <td class="right-div">
                            <div style="position:relative;">
                                <span title="" id="client_secret_warning_icon" class="dashicons dashicons-warning"></span>
                                <input id="client_secret_value" onkeyup="validate_client_secret(this)" required autoComplete="new-password" placeholder="Enter Your Client Secret" style="width:75%;" type="password" name="client_secret" value="<?php echo esc_html($client_secret); ?>" >
                            </div>
                            <div style="display:none;color:red;font-size:14px;margin-top:5px;" id="client_secret_message"></div>
                        </td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>
                            <b>Note:</b> You can find the <b>Client Secret</b> value in your Active Directory application's Certificates & Secrets tab.
                        </td>
                    </tr>
                    <tr>
                        <td></br></td>
                    </tr>

                    <tr>
                        <td class="left-div"><span>Tenant ID <span style="color:red;font-weight:bold;">*</span></span></td>
                        <td class="right-div"><input required placeholder="Enter Your Directory (Tenant) ID" style="width:75%;" type="text" name="tenant_id" value="<?php echo esc_html($tenant_id); ?>" ></td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>
                            <b>Note:</b> You can find the <b>Tenant ID</b> in your Active Directory application's Overview tab.
                        </td>
                    </tr>
                    <tr>
                        <td></br></td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>
                            <div style="display: flex;justify-content:flex-start;align-items:center;">
                                <div style="display: flex;margin:1px;">
                                    <input style="height:30px;" type="button" onclick="save_app_configurations()" id="saveAzureButton" class="mo-ms-tab-content-button" value="Save">
                                </div>
                                <div style="margin:10px;">
                                    <input style="height:30px;<?php echo empty($app)?'opacity: 0.7;pointer-events:none':'';?>" id="test_azure_connection_button" type="button" class="mo-ms-tab-content-button" value="Test Configurations" onclick="open_azure_app_connection_window()">
                                </div>
                            </div>
                        </td>
                    </tr>
                </table>
            </div>
        </div>
    <?php
    }


    private function mo_sps_display__sps_config()
    {
        $disabled = false;
        $app = wpWrapper::mo_sps_get_option(pluginConstants::APP_CONFIG);
        if(empty($app)){
            $disabled = true;
        }
     
        $sharepoint_folder_path_url =  !empty($app['sharepoint_folder_path_url']) ? $app['sharepoint_folder_path_url'] : '';

    ?>
        <div class="mo-ms-tab-content-tile" style="width:135%;">
            <div class="mo-ms-tab-content-tile-content">
                <div style="display: inline">
                    <span style="font-size: 18px;font-weight: 700;display: inline-block">Step 2. Sharepoint Configuration &nbsp;&nbsp;</span>
                    <div style="float: right;display:flex;justify-content:center;align-items:center;" >
                        <span style="font-size: 18px;margin-right:5px;">&#128712;</span><a style="font-weight: 700" target="_blank" href="https://plugins.miniorange.com/microsoft-sharepoint-integration-for-wordpress#steps-for-folder-path">How to get Sharepoint Folder Path URL?</a>
                    </div>
                </div>
                <div id="basic_attr_access_desc" class="mo_sps_help_desc" style="margin-bottom:20px;font-weight:500;">
                    <span>
                        In order to embed documents from specific folder or drive of your SharePoint site, you will need to configure sharepoint url path for that particular folder.
                    </span>
                </div>

	            <?php
	            if($disabled){
		            echo '<span style="color:red;"><h4>Please complete the previous steps to configure the following settings.</h4></span>';
		            echo '<table class="mo-ms-tab-content-app-config-table" style="opacity: 0.7;pointer-events:none">';
	            }else{
		            echo '<table class="mo-ms-tab-content-app-config-table">';
	            }
	            ?>
                    <tr>
                        <td class="left-div"><span>SharePoint Folder Path URL <span style="color:red;font-weight:bold;">*</span></span></td>
                        <td class="right-div"><input placeholder=" e.g. https://contoso.sharepoint.com/Shared%20Documents/" style="width:75%;" type="url" name="sharepoint_folder_path_url" value="<?php echo esc_html($sharepoint_folder_path_url); ?>"></td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>
<!--                            <b>Note:</b> For this, visit your document library or folder in SharePoint online and copy complete url from the browser and paste it here.-->
                            <b>Note:</b> For this, Please navigate to the desired folder path in your Sharepoint Online Site. <br>Copy the complete URL from the browser's address bar and paste it.
                        </td>
                    </tr>
                    <tr>
                        <td></br></td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>
                            <div style="display: flex;justify-content:flex-start;align-items:center;">
                                <div style="display: flex;margin:1px;">
                                    <input style="height:30px;" type="submit" id="saveSpsButton" class="mo-ms-tab-content-button" value="Save">
                                </div>
                            </div>
                        </td>
                    </tr>

                </table>
            </div>
        </div>
        <script>
            function enableEdit() {
                jQuery("#mo_sps_online_url").removeAttr('readonly');
            }
        </script>
    <?php
    }

    private function mo_sps_display__grant_permission()
    {
        $disabled = false;
        $app = wpWrapper::mo_sps_get_option(pluginConstants::APP_CONFIG);
        $client_id = !empty($app['client_id']) ? $app['client_id'] : '';
        $sharepoint_folder_path_url =  !empty($app['sharepoint_folder_path_url']) ? $app['sharepoint_folder_path_url'] : '';

        if(empty($sharepoint_folder_path_url)){
            $disabled = true;
        }
        $permission_page_url = $app['sharepoint_permission_page_url']??'';
        $domain = wpWrapper::mo_sps_get_domain_from_url(admin_url());
        $domain = str_replace('/wp-admin','',$domain);
        ?>
        <div class="mo-ms-tab-content-tile" style="width:135%;">
            <div class="mo-ms-tab-content-tile-content">
                <div style="display: inline">
                    <span style="font-size: 18px;font-weight: 700;display: inline-block">Step 3. Grant Permissions</span>
                    <div style="float: right;display:flex;justify-content:center;align-items:center;" >
                        <span style="font-size: 18px;margin-right:5px;">&#128712;</span><a style="font-weight: 700" target="_blank" href="https://plugins.miniorange.com/microsoft-sharepoint-integration-for-wordpress#steps-for-sharepoint">How to Grant Permissions for Sharepoint application?</a>
                    </div>
                </div>
                <div id="basic_attr_access_desc" class="mo_sps_help_desc" style="margin-bottom:20px;font-weight:500;">
                    <span>In order to access the sharepoint/onedrive resources you have to assign the permissions given below on sharepoint site. You will also need to login with Azure AD admin account in order to grant the permissions.
                    </span>
                </div>
                <?php
                    if($disabled){
                        echo '<span style="color:red;"><h4>Please complete the previous steps to configure the following settings.</h4></span>';
                        echo '<table style="width:100%;border:1px solid black; opacity: 0.7;pointer-events:none">';
                    }else{
	                    echo '<table style="width:100%;border:1px solid black;">';
                    }
                ?>
                    <tr>
                        <td style="padding: 8px;border-right: 1px solid #000;">Permission Page: </td>
                        <td><a target="_blank" href="<?php echo $permission_page_url;?>"><button class="button-primary" style="background: #1B9BA1;margin-left: 10px"><span >&#8618;</span>&nbsp;Redirect me to SharePoint Permissions Page</button></a> </td>
                    </tr>
                    <tr style="width:50%;border:1px solid black;">
                        <td style="padding: 8px;border-right: 1px solid #000;">App ID: </td>
                        
                        <td style="display:flex;align-items:center;margin: 4px 4px 4px 25px;">
                            <span style="width:95%;" id="mo_copy_app_id" ><?php echo $client_id; ?></span>
                            <div style="margin-left:3px;"><button type="button" class="mo_copy copytooltip rounded-circle float-end" style="background-color:#eee;width:33px;height:33px;margin-top:0px;border-radius:100%;border:0 solid;"><img style="width:17px;height:17px;margin-top:0px;margin-left:0px;" src="<?php echo esc_url(plugin_dir_url(__FILE__).'../images/copy.png');?>" onclick="copyToClipboard(this, '#mo_copy_app_id', '#copy_app_id');"><span id="copy_app_id" class="copytooltiptext">Copy App ID</span></button></div>
                        </td>
                    </tr>
                    <tr style="width:50%;border:1px solid black;">
                        <td style="padding: 8px;border-right: 1px solid #000;">App Domain: </td>
                        
                        <td style="display:flex;align-items:center;margin: 4px 4px 4px 25px;">
                            <span style="width:95%;" id="mo_copy_domain" ><?php echo $domain; ?></span>
                            <div style="margin-left:3px;"><button type="button" class="mo_copy copytooltip rounded-circle float-end" style="background-color:#eee;width:33px;height:33px;margin-top:0px;border-radius:100%;border:0 solid;"><img style="width:17px;height:17px;margin-top:0px;margin-left:0px;" src="<?php echo esc_url(plugin_dir_url(__FILE__).'../images/copy.png');?>" onclick="copyToClipboard(this, '#mo_copy_domain', '#copy_domain');"><span id="copy_domain" class="copytooltiptext">Copy Domain</span></button></div>
                        </td>
                    </tr>
                    <tr style="width:50%;border:1px solid black;">
                        <td style="padding: 8px;border-right: 1px solid #000;">Redirect URI</td>
                        <td style="display:flex;align-items:center;margin: 4px 4px 4px 25px;">
                            <span style="width:95%;" id="mo_copy_app_id" >You may leave it empty.</span>
                        </td>
                    </tr>
                    <tr style="width:50%;border:1px solid black;">
                        <td style="padding: 8px;border-right: 1px solid #000;">App's Permission Request XML: </td>
                        <td style="display:flex;align-items:center;margin: 4px 4px 4px 25px;">
                            <span style="width:95%;" id="mo_copy_permission" >
<xmp><AppPermissionRequests AllowAppOnlyPolicy="true">
    <AppPermissionRequest Scope="http://sharepoint/content/tenant"
    Right="FullControl" />
</AppPermissionRequests></xmp>
                        </span>
                            <div style="margin-left:3px;"><button type="button" class="mo_copy copytooltip rounded-circle float-end" style="background-color:#eee;width:33px;height:33px;margin-top:0px;border-radius:100%;border:0 solid;"><img style="width:17px;height:17px;margin-top:0px;margin-left:0px;" src="<?php echo esc_url(plugin_dir_url(__FILE__).'../images/copy.png');?>" onclick="copyToClipboard(this, '#mo_copy_permission', '#copy_permission');"><span id="copy_permission" class="copytooltiptext">Copy Permissions</span></button></div>
                        </td>
                    </tr>
                </table>
                <h1>I've completed all the steps. Perform the complete test now: <button style="cursor:pointer;border:0px; box-shadow:5px 5px 1px lightgray ;background: #1B9BA1;color: white;padding: 5px 10px 5px 10px; font-weight: 600" onclick="open_sharepoint_connection_window()"> Run Test Connection </button></h1>
            </div>
        </div>
    <?php
    }

    private function mo_sps_get_azure_app_test_url()
    {
        return admin_url('?sps_option=mo_sps_test_app_connection');
    }

    private function mo_sps_get_sharepoint_app_test_url()
    {
        return admin_url('?sps_option=mo_sps_test_sharepoint_connection');
    }
}

