<?php

namespace MoSharePointObjectSync\View;
use MoSharePointObjectSync\Wrappers\pluginConstants;
use MoSharePointObjectSync\Wrappers\wpWrapper;

class documentsSync{

    private static $instance;

    public static function getView(){
        if(!isset(self::$instance)){
            $class = __CLASS__;
            self::$instance = new $class;
        }
        return self::$instance;
    }
 

    public function mo_sps_display__tab_details(){
        $app = wpWrapper::mo_sps_get_option(pluginConstants::APP_CONFIG);

        $document_sync_metdata = [
            'admin_url' => admin_url(),
            'serverRelativeURL' => isset($_REQUEST['serverRelativeURL'])?$_REQUEST['serverRelativeURL']:'',
            'folder_icon_url' => esc_url(plugin_dir_url(__FILE__).'../images/folder.svg'),
            'fetch'=> isset($_REQUEST['fetch'])?$_REQUEST['fetch']:'1',
            'folder_path' => isset($app['folder_path']) ? $app['folder_path'] : '',
            'sharepoint_site_url' => isset($app['site_uri']) ? $app['site_uri'] : $app['admin_uri'],
            'mime_types' => pluginConstants::MIME_TYPES,
            'load_icon' => esc_url(plugin_dir_url(__FILE__).'../images/Chasing_arrows.gif'),
            'file_icon'=> esc_url(plugin_dir_url(__FILE__).'../images/file.png'),
            'worddoc_icon' => esc_url(plugin_dir_url(__FILE__).'../images/msword_file.png'),
            'exceldoc_icon' => esc_url(plugin_dir_url(__FILE__).'../images/msexcel_file.png'),
            'pdfdoc_icon' => esc_url(plugin_dir_url(__FILE__).'../images/pdf_file.png'),
            'emptyFolderDrop_icon' => esc_url(plugin_dir_url(__FILE__).'../images/empty_folder_drop.svg'),
            'is_shortcode' => false,
            'license_url' => MO_SPS_LICENSE_PLANS

        ];

        ?>
        <div class="mo-ms-tab-content" style="width:77rem;">
<!--            <span style="font-weight: 700; font-size: 18px">Preview Folders/Files</span>-->
<!--            <h1>Preview Folders/Files</h1>-->
<!--            <span style="font-weight: 700; font-size: 22px; margin:10px">Preview Folders/Files</span>-->
            <h1 style="font-weight: 600">Preview Sharepoint Folders / Files </h1>
            <div id="basic_attr_access_desc" class="mo_sps_help_desc" style="margin-bottom:20px;font-weight:500;">
						<span>Here You can access or navigate through all folders and files from your sharepoint library.
                         </span>
            </div>

	        <?php
	        if(empty($app)){
		        echo '<span style="color:red;"><h4>It seems you\'ve not configured the application yet. Please first navigate to the <a href="'.esc_url_raw(add_query_arg(["page"=>"mo_sps","tab"=>"app_config"],admin_url("admin.php"))).'">Manage Application</a> tab to make a connection with sharepoint.</h4></span>';
	        }else{
	            echo '<span style="color: darkslategrey"><h4>Show me how to embed this view in the WordPress Page or Post: &nbsp;&nbsp;<a href="'.esc_url_raw(add_query_arg(["page"=>"mo_sps","tab"=>"Shortcode"],admin_url("admin.php"))).'"><button class="mo-ms-tab-content-button">Embed Folders/Files on WordPress Page/Post</button></a></h4></span>';
	        }

	        ?>
            
            <div style="width: 68%">
                <div class="mo-ms-tab-content-left-border">
                    <?php
                $config=[];
                $config['height'] = "400px";
                $config['width'] = "100%";
                $this->mo_sps_display_sync_documents($config);
                $this->mo_sps_display_direct_download();
                $this->mo_sps_feature();
                $sync_js_url= plugins_url('../includes/js/ajax.js',__FILE__);
                wp_enqueue_script('mo_sps_sync_js',$sync_js_url,array(),PLUGIN_VERSION);
                wp_localize_script('mo_sps_sync_js','doc_sync_data',$document_sync_metdata);
                
                    ?>
                    
                </div>
            </div>
        </div>
        <?php
    }
    
    public function mo_sps_display__tab_shortcode_details($config){
        $app = wpWrapper::mo_sps_get_option(pluginConstants::APP_CONFIG);
        $serverRelativeURL = isset($app['folder_path']) ? $app['folder_path'] : '';
        $document_sync_metdata = [
            'admin_url' => admin_url(),
            'serverRelativeURL' => isset($_REQUEST['serverRelativeURL'])?$_REQUEST['serverRelativeURL']:$serverRelativeURL,
            'tab' => isset($_REQUEST['tab'])?$_REQUEST['tab']:'',
            'folder_icon_url' => esc_url(plugin_dir_url(__FILE__).'../images/folder.svg'),
            'fetch'=> isset($_REQUEST['fetch'])?$_REQUEST['fetch']:'1',
            'folder_path' => isset($app['folder_path']) ? $app['folder_path'] : '',
            'sharepoint_site_url' => isset($app['site_uri']) ? $app['site_uri'] : $app['admin_uri'],
            'mime_types' => pluginConstants::MIME_TYPES,
            'load_icon' => esc_url(plugin_dir_url(__FILE__).'../images/Chasing_arrows.gif'),
            'file_icon'=> esc_url(plugin_dir_url(__FILE__).'../images/file.png'),
            'worddoc_icon' => esc_url(plugin_dir_url(__FILE__).'../images/msword_file.png'),
            'exceldoc_icon' => esc_url(plugin_dir_url(__FILE__).'../images/msexcel_file.png'),
            'pdfdoc_icon' => esc_url(plugin_dir_url(__FILE__).'../images/pdf_file.png'),
            'emptyFolderDrop_icon' => esc_url(plugin_dir_url(__FILE__).'../images/empty_folder_drop.svg'),
            'is_shortcode' => true
        ];


        ?>
        <div id="scrollto" class="mo-ms-tab-content" >    
            <div >
                <div class="mo-ms-tab-content-left-border">
                    <?php
                
                $this->mo_sps_display_sync_documents($config);
                  ?>
                    <script>
                    const element = document.getElementById("scrollto");
                    element.scrollIntoView();
                    </script>
                  <?php
                  $sync_js_url= plugins_url('../includes/js/ajax.js',__FILE__);
                  wp_enqueue_script('mo_sps_sync_js',$sync_js_url,array(),PLUGIN_VERSION);
                  wp_localize_script('mo_sps_sync_js','doc_sync_data',$document_sync_metdata);
                    ?>
                    

                </div>
            </div>
        </div>
        <?php
    }

    private function mo_sps_display_direct_download(){
        ?>
        <div class="mo-ms-tab-content-tile"style="width:135%;padding: 1rem;background: #f4f4f4;border: 4px solid #A6DEE0;border-radius: 5px;margin-top:0px !important;padding-top:0px !important;">
            <div class="mo-ms-tab-content-tile-content " style="position:relative;">
                <span style="font-size: 18px;font-weight: 500;">
                    Direct Download files from WordPress / Guest Access
                <sup style="font-size: 12px;color:red;font-weight:600;">
                [Available in <a target="_blank" href="<?php echo MO_SPS_LICENSE_PLANS; ?>" style="color:red;">Premium</a> Plugin]
                </sup>
                </span>
                <div class="mo-sps-prem-lock mo-sps-prem-info" style="top:2px;right:2px;position:absolute;">
                    <img class="filter-green"
                         src="<?php echo esc_url(plugin_dir_url(__FILE__).'../images/lock.svg');?>">
                    <p class="mo-sps-prem-text">Available in <a target="_blank" href="<?php echo MO_SPS_LICENSE_PLANS; ?>" style="color:red;">premium</a> plugin.</p>
                </div>
                <div id="basic_attr_access_desc" class="mo_sps_help_desc">
            <span><b>You can download and preview the files directly from Wordpress site.</b>
            </span>
                </div>
                <table class="mo-ms-tab-content-app-config-table">
                    <tr>
                        <td class="left-div" style="width: 4%">
                            <label class="switch">
                                <input type="checkbox" disabled>
                                <span class="slider round"></span>
                            </label>
                        </td>
                        <td style="width:45%;word-break: break-word;" class="right-div"><span>This feature allows you to access the files from the wordpress directly. Based on your requirement, the files can be displayed to only Sharepoint users or to the wordpress users. </span></td>
                    </tr>
                </table>
            </div>
        </div>
        <?php
    }

    public function mo_sps_feature(){
        ?>
        <div class="mo-ms-tab-content-tile"style="width:135%;padding: 1rem;background: #f4f4f4;border: 4px solid #A6DEE0;border-radius: 5px;margin-top:0px !important;padding-top:0px !important;">
        <div class="mo-ms-tab-content-tile-content " style="position:relative;">
                <span style="font-size: 18px;font-weight: 500;">
                Access Sharepoint Documents from media library
                <sup style="font-size: 12px;color:red;font-weight:600;">
                [Available in <a target="_blank" href="<?php echo MO_SPS_LICENSE_PLANS; ?>" style="color:red;">Premium</a> Plugin]
                </sup>
                </span>
            <div class="mo-sps-prem-lock mo-sps-prem-info" style="top:2px;right:2px;position:absolute;">
                                <img class="filter-green"
                                 src="<?php echo esc_url(plugin_dir_url(__FILE__).'../images/lock.svg');?>">
                                <p class="mo-sps-prem-text">Available in <a target="_blank" href="<?php echo MO_SPS_LICENSE_PLANS; ?>" style="color:red;">premium</a> plugin.</p>
		    </div>
            <div id="basic_attr_access_desc" class="mo_sps_help_desc">
            <span><b>You can access all your SharePoint online files and folders from media library.</b>
            </span>
            </div>
            <table class="mo-ms-tab-content-app-config-table">
                <tr>
                    <td class="left-div" style="width: 4%">
                        <label class="switch">
                            <input type="checkbox" disabled>
                            <span class="slider round"></span>
                        </label>
                    </td>
                    <td style="width:45%;word-break: break-word;"><span>This option will synchronize your sharepoint files to the wordpress media library. You can use these sharepoint files as attachments in the pages and posts.</span></td>
                </tr>
            </table>
        </div>
    </div>
    <?php
    }

    public function mo_sps_display_sync_documents($config){
        wp_enqueue_style( 'mo_sps_css_plugin', plugins_url('../includes/css/mo_sps_settings.css', __FILE__), array(), PLUGIN_VERSION);
        $app = wpWrapper::mo_sps_get_option(pluginConstants::APP_CONFIG);
        $serverRelativeURL = isset($app['folder_path']) ? $app['folder_path'] : '';
        ?>
    
        <form id="wp_save_user_form" method="post" name="wp_save_user_form">
        
            <div id="table_box" class="mo-ms-tab-content-tile" style="width:135%;" >
            <div class="mo-ms-tab-content-tile-content" style="width:<?php echo esc_html($config['width']);?>;"> 
            <div>
            <div style="display:flex;align-items: center;justify-content: space-between;">
            <div id="root_button" style="display:none;vertical-align:middle;"></div>
            <div id='path' style="font-weight: 350;width: 60%;">
        <?php

            $val = isset($_REQUEST['serverRelativeURL'])?$_REQUEST['serverRelativeURL']:$serverRelativeURL;
            $breadcrump = substr($val, 1);
            $breadcrump_array = explode("/",$breadcrump);
            $breadcrump_array = array_map('trim', $breadcrump_array);
            $breadcrump_array = array_filter($breadcrump_array);
            $strt = 0;
            if(isset($breadcrump_array[0]) && ($breadcrump_array[0]=='sites' || $breadcrump_array[0]=='teams')){
                    $temp = '/'.$breadcrump_array[0].'/'.$breadcrump_array[1];
                    $breadcrump_array = array_slice($breadcrump_array, 2);
                    $noofelement = sizeof($breadcrump_array);

            }
            else{
                $noofelement = sizeof($breadcrump_array);
                $temp ="";
            }
            
                if(isset($_REQUEST['tab']))
                {
                    
                    foreach($breadcrump_array as $element){
                        if($element!="" && $strt && $strt<$noofelement)
                        {
                            ?>
                            <span style="font-size: 18px;font-weight: 200;">
                            <?php
                            echo esc_html(">");  
                            ?>
                            </span>
                            <?php
                        }
                        
                        $temp = $temp."/".(wpWrapper::mo_urlencode($element,"'"));
                        if($strt<$noofelement-1){
                            ?>
                            <span style="font-size: 18px;font-weight: 200;">
                            <a id="bread" style="text-decoration:none;" href="<?php echo esc_url_raw(add_query_arg(['tab'=>'Documents','fetch'=>1,'serverRelativeURL'=>$temp]));?>"><?php echo str_replace('\\','',esc_html($element));?></a> 
                        </span>
                        <?php
                        }
                    ?>
                    <?php 
                    if($strt==$noofelement-1){
                        ?>
                        <span style="font-size: 18px;font-weight:500;">
                        <a id="bread" style="text-decoration:none;" href="<?php echo esc_url_raw(add_query_arg(['tab'=>'Documents','fetch'=>1,'serverRelativeURL'=>$temp]));?>"><?php echo str_replace('\\','',esc_html($element));?></a> 
                    </span>
                        <?php
                    }       
                        $strt++;
                        ?>
                    <?php
                        
                    }
                }
                else{

                    foreach($breadcrump_array as $element){
                        if($element!="" && $strt && $strt<$noofelement)
                        {
                            ?>
                            <span style="font-size: 18px;font-weight: 200;">
                            <?php
                            echo esc_html(">");  
                            ?>
                            </span>
                            <?php
                        }
                        
                        $temp = $temp."/".(wpWrapper::mo_urlencode($element,"'"));
                        $temp1 = add_query_arg(['serverRelativeURL'=>$temp]);
                        if($strt<$noofelement-1){
                            ?>
                            <span style="font-size: 18px;font-weight: 200;">
                            <a id='bread' style='text-decoration:none;' href='<?php echo str_replace('\\','',esc_html($temp1));?>'><?php echo str_replace('\\','',esc_html($element));?></a> 
                        </span>
                        <?php
                        }
                    ?>
                    <?php 
                    if($strt==$noofelement-1){
                        ?>
                        <span style="font-size: 18px;font-weight:500;">
                        <a id="bread" style="text-decoration:none;" href='<?php echo str_replace('\\','',esc_html($temp1));?>'><?php echo str_replace('\\','',esc_html($element));?></a> 

                    </span>
                        <?php
                    }       
                        $strt++;
                        ?>
                    <?php
                        
                    }
                    
                }
             
                    ?>
                </div>
                <style>
                    


#reports_table tbody {
  display: block;
  max-height: <?php echo esc_html($config['height']);?>;
  max-width: <?php echo esc_html($config['width']);?>;
  overflow-y: auto;
}

#reports_table thead, #reports_table tbody tr {
  display: table;
  
  width: <?php echo esc_html($config['width']);?>;
  table-layout: fixed;
}
            

            </style>
            <script>
                function exit_file_search(id, element) {
                    document.getElementById('file_search').value = "";
                    document.getElementById('mySearchDropdown').style.display = 'none';
                    search_ajax.abort();
                }
            </script>
                <div id="mySearch">
                        
                        <div id="mySearch_div">

                        <table style="border:none;width:100%;margin:0%;">
                            <tbody>
                           <tr>
                            <td style="padding:0;border:none;">
                                <button type="button" id="exit_button" class="exit-button" onclick="exit_file_search('#file_search')"><span class="dashicons dashicons-no-alt"></span></button>
                            </td>
                            <td style="padding:0;border:none;">
                                <input role="combobox" autocomplete="off" placeholder="Search this library" type="search" id="file_search" name="mo_file_search"/>
                            </td>
                            <td style="padding:0;border:none;">
                                <button type="button" id="search_button" class="search-button"><span class="dashicons dashicons-search"></span></button>
                            </td>
            </tr>
                            </tbody>
                        </table>
                        
                            <div id="mySearchDropdown" class="search_div" >
                                <div id="searching_div" style="display:flex;align-items:center;">
                                    <div class="before_search" style="font-weight:600;font-size:1rem;width:20rem;margin-bottom:10px;">Searching...</div>
                                    <img id="mySearchLoader" src="<?php echo esc_url(plugin_dir_url(__FILE__).'../images/Chasing_arrows.gif');?>">

                                </div>
                                <div class="list_div">
                                    <ul id="listItems" style="padding-left:0;margin:0;">
                                    </ul>
                                </div>
                            </div>
                        </div>
                    
                </div>
                <div class="refresh" style="position:relative;">
                    <a id="refresh" href=""><img style="width:20px;height:20px;margin-top:14px;margin-left:8px;" src="<?php echo esc_url(plugin_dir_url(__FILE__).'../images/refresh.svg');?>"></a>
                    <p class="mo-refresh-content">Click here to refresh and fetch all current documents from sharepoint</p>
                </div>
                </div>
                
                
            

        <div style="padding-bottom:20px;"></div>
        <div id="error_occured" style="display:block;text-align:center;display:none;">
            <h2 class="heading-3-red">No Search Results Found.</h2>
        </div>
        <div id="tableTOScroll">
        <div>
            
        <table id="reports_table" class="wp-list-table widefat fixed table-hover table-view-list pages" style="width:99%;border:none;display:none;">
        <thead></thead>
        <thead></thead>
	    <thead>
		        <tr>
		            <td style = "width:36%;">Name</td>
			        <td style = "width:26%;">Last Modified</td>
                    <td style = "width:24%;margin-left:10px;text-align:left;">Size</td>
                    <td style = "width:24%;text-align:center;">Item Count</td>
		        </tr>    
        </thead>
        <tbody id="mo_sps_report_tbody">
                    
        </tbody>
        </table>
        </div>
                    
                    
             
        <table id="empty_table" class="wp-list-table more widefat fixed table-hover table-view-list pages" style="width:99%;border:none;display:none;">
        <thead></thead>
        <thead></thead>
        <thead>
            <tr>
                <td style = "width:39%;">Name</td>
                <td style = "width:20%;">Last Modified</td>
                <td style = "width:20%;">Size</td>
                <td style = "width:20%;">Item Count</td>
            </tr>    
        </thead>
        <tbody>
            <tr>
            <td></td>
            <td colspan="1">
            <img style="width:300px;height:300px;display:flex;align-items:center;display: block;margin-left: auto;margin-right: auto;" src="<?php echo esc_url(plugin_dir_url(__FILE__).'../images/empty_folder_drop.svg');?>">
                <div style="display:flex;justify-content:center;">This folder is empty</div>
            </td>
            </tr>
        </tbody>
        </table>


        <div id="error_table" hidden >
        <table class="wp-list-table widefat more fixed table-hover table-view-list pages" style="width:99%;border:none;">
            <thead></thead>
            <thead></thead>
            <thead>
                <tr>
                    <td style = "width:39%;">Name</td>
                    <td style = "width:20%;">Last Modified</td>
                    <td style = "width:20%;">Size</td>
                    <td style = "width:20%;">Item Count</td>
                </tr>    
            </thead>
            <tbody>
            <tr>
                <td></td>
                <td colspan="1">
            <img style="margin-top:30px;width:35px;height:35px;display:flex;align-items:center;display: block;margin-left: auto;margin-right: auto;" src="<?php echo esc_url(plugin_dir_url(__FILE__).'../images/error.svg');?>">
                </td>
                </tr>
                <tr>
                <td colspan="4">
                    <div style="margin-left:260px;font-weight:500;">Attempted to perform an unauthorized operation.</div>
                    </td>
                </tr>
                <tr>
                <td colspan="4">
                    <div style="margin-left:60px;font-weight:500;">Seems like SharePoint Application is not configured Correctly yet, Please&nbsp;<a href="<?php echo esc_url_raw(admin_url('admin.php?page=mo_sps&tab=app_config'));?>">CLICK HERE</a> &nbsp;to setup basic app configuration.</div>
                    </td>
                </tr>
            </tbody>
            </table>
        </div>

        <div id="forbidden_table" hidden >
        <table class="wp-list-table widefat more fixed table-hover table-view-list pages" style="width:99%;border:none;">
            <thead></thead>
            <thead></thead>
            <thead>
                <tr>
                    <td style = "width:39%;">Name</td>
                    <td style = "width:20%;">Last Modified</td>
                    <td style = "width:20%;">Size</td>
                    <td style = "width:20%;">Item Count</td>
                </tr>    
            </thead>
            <tbody>
            <tr>
                <td></td>
                <td colspan="1">
            <img style="margin-top:30px;width:35px;height:35px;display:flex;align-items:center;display: block;margin-left: auto;margin-right: auto;" src="<?php echo esc_url(plugin_dir_url(__FILE__).'../images/error.svg');?>">
                </td>
                </tr>
                <tr>
                <td colspan="4">
                    <div style="margin-left:60px;font-weight:500;">You may have not granted tenant permissions for your AzureAD/SharePoint Application, Please Scroll down to Granting permissions to the newly created principal section in&nbsp;<a href="<?php echo esc_url_raw(admin_url('admin.php?page=mo_sps&tab=setup_guide#grant'));?>">Setup Guide</a> &nbsp;And grant the permissions.(If done then please go to<a href="<?php echo esc_url_raw(admin_url('admin.php?page=mo_sps&tab=app_config'));?>">App config</a>and click on save and test config button and then move to ducments tab. </div>
                    </td>
                </tr>
            </tbody>
            </table>
        </div>

        <div id="faq_table" hidden >
        <table class="wp-list-table widefat more fixed table-hover table-view-list pages" style="width:99%;border:none;">
            <thead></thead>
            <thead></thead>
            <thead>
                <tr>
                    <td style = "width:39%;">Name</td>
                    <td style = "width:20%;">Last Modified</td>
                    <td style = "width:20%;">Size</td>
                    <td style = "width:20%;">Item Count</td>
                </tr>    
            </thead>
            <tbody>
            <tr>
                <td></td>
                <td colspan="1">
            <img style="margin-top:30px;width:35px;height:35px;display:flex;align-items:center;display: block;margin-left: auto;margin-right: auto;" src="<?php echo esc_url(plugin_dir_url(__FILE__).'../images/error.svg');?>">
                </td>
                </tr>
                <tr>
                <td colspan="4">
                    <div style="text-align: center"><b>Error: </b>Token type is not allowed. Please follow the&nbsp;<a target="_blank" style="text-decoration: underline" href="https://faq.miniorange.com/knowledgebase/token-type-is-not-allowed-error-on-sharepoint-rest-api/">steps mentioned in this FAQ </a>to fix this issue. <br>Once you completed the instructions, please click the button below to refresh your view. <br><br><button class="button button-primary" onclick="delete_state()">I have completed the instructions Refresh the Page Now</button></div>
                    </td>
                </tr>
            </tbody>
            </table>
        </div>
            <form method="post" id="mo_shp_delete_state">
                <input type="hidden" name="option" value="mo_sps_delete_state">
                <input type="hidden" name="mo_sps_tab" value="app_config">
                <?php wp_nonce_field("mo_sps_delete_state");?>
            </form>
        <script>
            function delete_state(){
                document.getElementById("mo_shp_delete_state").submit();
            }
        </script>

        <table id="loader" class="wp-list-table widefat more fixed table-hover table-view-list pages" style="width:99%;border:none;">
            <thead></thead>
            <thead></thead>
            <thead>
                <tr>
                    <td style = "width:39%;">Name</td>
                    <td style = "width:20%;">Last Modified</td>
                    <td style = "width:20%;">Size</td>
                    <td style = "width:20%;">Item Count</td>
                </tr>    
            </thead>
            <tbody>

            
            <tr><td></td><td></td><td></td><td></td></tr>
            <tr><td></td><td></td><td></td><td></td></tr>
            <tr><td></td><td></td><td></td><td></td></tr>
            <tr><td></td><td></td><td></td><td></td></tr>
            <tr>
                <td></td>
                <td colspan="1">
            <img style="margin-top:30px;width:35px;height:35px;display:flex;align-items:center;display: block;margin-left: auto;margin-right:auto;" src="<?php echo esc_url(plugin_dir_url(__FILE__).'../images/Chasing_arrows.gif');?>">
                </td>
            </tr>
            <tr>
            <td></td>
            
                <td colspan="1">
                    <div style="align-items:center;margin-left:auto;text-align:center;margin-right:auto;font-weight:500;">Loading...</div>
                    </td>
            </tr>
            <tr><td></td><td></td><td></td><td></td></tr>
            <tr><td></td><td></td><td></td><td></td></tr>
            <tr><td></td><td></td><td></td><td></td></tr>
            <tr><td></td><td></td><td></td><td></td></tr>
            <tr><td></td><td></td><td></td><td></td></tr>
      

                
            </tbody>
            </table>
        </div>




            </div>
            </div>
        </div>
    </form>
    
    
    <?php
    }

 



  

}