<?php

namespace MoSharePointObjectSync\View;

use MoSharePointObjectSync\Wrappers\pluginConstants;
use MoSharePointObjectSync\Wrappers\wpWrapper;

class syncUser{

    private static $instance;

    public static function getView(){
        if(!isset(self::$instance)){
            $class = __CLASS__;
            self::$instance = new $class;
        }
        return self::$instance;
    }
    

    public function mo_sps_display__tab_details(){
        ?>
        <div class="mo-ms-tab-content" style="width:77rem;">
            <h1>Sharepoint User Profile Detail</h1>
            <div style="width: 68%">
                <div class="mo-ms-tab-content-left-border">
                    <?php
                  
                    $this->mo_sps_display_wp_to_ad_sync_manual_settings();
                    ?>
                </div>
            </div>
        </div>
        <?php
    }

    private function mo_sps_display_wp_to_ad_sync_manual_settings(){
        $config = wpWrapper::mo_sps_get_option(pluginConstants::APP_CONFIG);
        $upn_id = !empty($config['upn_id'])?$config['upn_id']:'';

        $app = wpWrapper::mo_sps_get_option(pluginConstants::PROFILE_MAPPING);
        

        ?>
        <form id="wp_save_user_form" method="post" name="wp_save_user_form">
            <input type="hidden" name="option" id="sync_user" value="mo_sps_upn_config_option">
            <input type="hidden" name="mo_sps_tab" value="wp_sync_users">
            <?php wp_nonce_field('mo_sps_upn_config_option');?>
            <div class="mo-ms-tab-content-tile" style="width:135%;">
                <div class="mo-ms-tab-content-tile-content">
                    <span style="font-size: 18px;font-weight: 200;">
                        Manual provisioning
                        
                    </span>
                    <div  class="mo_sps_help_desc">
						<span>
                        It provides the feature to Fetch Attributes and to sync individual users.
                        </span>
                    </div>
                    <table class="mo-ms-tab-content-app-config-table">
                        <colgroup>
                            <col span="1" style="width: 40%;">
                            <col span="2" style="width: 10%;">
                        </colgroup>
                        <tbody>
                            <tr>
                                <td><span style="font-size: 15px;font-weight: 200;"> Sync an individual user</span></td>
                            </tr>
                            <tr>
                                <td>
                                    <input placeholder="Enter UserPrincipalName of User To Sync" type="text" name="upn_id" value="<?php echo esc_html($upn_id);?>">
                                </td>
                                <td style="text-align:center;">
                                    <input style="height:30px;" type="submit" id="saveButton" class="mo-ms-tab-content-button" value="Save">
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <b>Note:</b> You can find the <b>User Principle Name</b> of user in the user profile in Users tab in your SharePoint Online. 
                                </td>
                                <td></td>
                            </tr>

                            <tr>
                                <td></br></td>
                            </tr>
                            <tr>
                                <td><span style="font-size: 15px;font-weight: 200;"> Fetch Attribute</span></td>
                                
                            </tr>
                            
                           
                            <tr>
                                <td>
                                <b>Note:</b>(Optional)You can fetch the attributes related to the user principal name entered, saved on the Sharepoint</td>
                                <td></td>
                            </tr>
                            <tr>
                                
                                <td><input style="height:30px;" id="view_attributes" type="button" class="mo-ms-tab-content-button" value="Fetch Attributes" onclick="showAttributeWindow()"></td>
                            </tr>
                            <tr><td></br></td></tr>
                            
                            
                        </tbody>
                    </table>
                </form>

                    <?php $this->mo_sps_display_profile_mapping(); ?>

                    <table class="mo-ms-tab-content-app-config-table">
                        <colgroup>
                            <col span="1" style="width: 40%;">
                            <col span="2" style="width: 10%;">
                        </colgroup>
                        <tbody>
                        <tr><td></br></td></tr>
                            <tr>
                                <td><span style="font-size: 15px;font-weight: 200;"> Sync User</span></td>
                            </tr>
                            <tr>
                                <td>
                                    <b>Note:</b> This will sync this user from your SharePoint oline to WordPress.
                                </td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>
                                <input style="height:30px;" type="button" id="syncUserManualButton" class="mo-ms-tab-content-button" value="Sync User">
                                </td>
                            </tr>


                            <tr><td></br></td></tr>
                            <tr>
                                <td><span style="font-size: 15px;font-weight: 200;"> Sync All Users

                                
                        <sup style="font-size: 12px;color:red;font-weight:600;">
                                [Available in <a target="_blank" href="<?php echo MO_SPS_LICENSE_PLANS; ?>" style="color:red;">Premium</a> Plugin]
                                
                        </sup>
                    </span>
                            </span></td>
                            </tr>
                            <tr>
                                <td>
                                    <b>Note:</b> This will sync all users from your SharePoint online to WordPress.
                                </td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>
                                <input disabled style="height:30px;background-color: #DCDAD1;border:none;" type="button" id="syncUserManualButton" class="mo-ms-tab-content-button" value="Sync All Users">
                                </td>
                            </tr>
                        </tbody>
                    </table>    
            </form>
                    <form id="wp_sync_individual_user" method="post" name="wp_sync_individual_user">
                        <input type="hidden" name="option" value="mo_sps_client_wp_sync_individual_user_option">
                        <input type="hidden" name="mo_sps_tab" value="wp_sync_users">
                        <?php wp_nonce_field('mo_sps_client_wp_sync_individual_user_option');?>
                    </form>
                    <script>
                        document.getElementById("syncUserManualButton").addEventListener("click",function (){
                            
                            document.getElementById("wp_sync_individual_user").submit();
                        });
                        
                        function showAttributeWindow(){
                            document.getElementById("sync_user").value = "mo_sps_upn_config_option";
                            var myWindow = window.open("<?php echo esc_url_raw($this->mo_sps_get_test_url()); ?>", "Fetch Attributes", "scrollbars=1 width=800, height=600");
                        }
                        
                    </script>
                </div>
            </div>
    <?php
    }




    public function mo_sps_display_profile_mapping(){
        $app = wpWrapper::mo_sps_get_option(pluginConstants::PROFILE_MAPPING);
        
        $user_login = !empty($app['user_login'])?$app['user_login']:'msOnline-ObjectId';
        $email = !empty($app['email'])?$app['email']:'UserName';
        $first_name = !empty($app['first_name'])?$app['first_name']:'FirstName';
        $last_name = !empty($app['last_name'])?$app['last_name']:'LastName';
        $display_name = !empty($app['display_name'])?$app['display_name']:'PreferredName';

        $user_config = wpWrapper::mo_sps_get_option(pluginConstants::USER_CONFIG);
        ?>
            <form class="mo_sps_ajax_submit_form" method="post" id="manage_users_save_basic_attr_mapping">
                <input type="hidden" name="option" id="sync_user" value="mo_sps_profile_config_option">
                <input type="hidden" name="mo_sps_tab" value="wp_sync_users">
                <?php wp_nonce_field('mo_sps_profile_config_option');?>
                <div class="mo-ms-tab-content-tile-content">
                    <span style="font-size: 15px;font-weight: 200;">User Profile Mapping
                        <sup style="font-size: 12px;color:red;font-weight:600;">
                        </sup>
                    </span>
                    <div id="basic_attr_access_desc" class="mo_sps_help_desc">
						<span>Map attributes like Username, Email, First Name, Last Name, Display Name to the attributes released from your SharePoint Online.
                         While syncing the users in your WordPress site, these attributes will automatically get mapped to your WordPress user details.
                         </span>
                    </div>
                </div>
                <table class="mo-ms-tab-content-app-config-table">
                        <tr>
                            <td colspan="2">
                            </td>
                        </tr>
                        <tr>
                            <td class="left-div"><span>Username</span></td>
                            <td class="right-div">
                                <?php if(!empty($user_config)) {
                                    echo '<select name="user_login" style="width:75%;"';
                                    echo '>
                                    <option value="" disabled>--Select an Attribute--</option>';
                                    foreach($user_config as $key => $value){
                                        if($value) {
                                            $selected = ($user_login == $key) ? 'selected' : '';
                                            echo '<option value="' .$key .'" ' . $selected . '>'.$key.'</option>';
                                        }
                                    }
                                    echo '</select>';
                                } else { ?>
                                    <input  style="width:75%;" placeholder="Enter attribute name for Username" type="text" name="user_login" value="<?php echo esc_html($user_login);?>">
                                <?php } ?>
                            </td>
                        </tr>
                        <tr>
                            <td class="left-div"><span>Email</span></td>
                            <td class="right-div">
                                <?php if(!empty($user_config)) {
                                    echo '<select name="email" style="width:75%;"';
                                    echo '>
                                    <option value="" disabled>--Select an Attribute--</option>';
                                    foreach($user_config as $key => $value){
                                        if($value) {
                                            $selected = ($email == $key) ? 'selected' : '';
                                            echo '<option value="' .$key .'" ' . $selected . '>'.$key.'</option>';
                                        }
                                    }
                                    echo '</select>';
                                } else { ?>
                                    <input  style="width:75%;" placeholder="Enter attribute name for Email" type="text" name="email" value="<?php echo esc_html($email);?>">
                                <?php } ?>
                            </td>
                        </tr>
                        <tr>
                            <td class="left-div"><span>First Name</span></td>
                            <td class="right-div">
                                <?php if(!empty($user_config)) {
                                    echo '<select name="first_name" style="width:75%;"';
                                    echo '>
                                    <option value="" disabled>--Select an Attribute--</option>';
                                    foreach($user_config as $key => $value){
                                        if($value) {
                                            $selected = ($first_name == $key) ? 'selected' : '';
                                            echo '<option value="' .$key .'" ' . $selected . '>'.$key.'</option>';
                                        }
                                    }
                                    echo '</select>';
                                } else { ?>
                                    <input style="width:75%;" placeholder="Enter attribute name for First Name" type="text" name="first_name" value="<?php echo esc_html($first_name);?>">
                                <?php } ?>
                            </td>
                        </tr>
                        <tr>
                            <td class="left-div"><span>Last Name</span></td>
                            <td class="right-div">
                                <?php if(!empty($user_config)) {
                                    echo '<select name="last_name" style="width:75%;"';
                                    echo '>
                                    <option value="" disabled>--Select an Attribute--</option>';
                                    foreach($user_config as $key => $value){
                                        if($value) {
                                            $selected = ($last_name == $key) ? 'selected' : '';
                                            echo '<option value="' .$key .'" ' . $selected . '>'.$key.'</option>';
                                        }
                                    }
                                    echo '</select>';
                                } else { ?>
                                    <input style="width:75%;" placeholder="Enter attribute name for Last Name" type="text" name="last_name" value="<?php echo esc_html($last_name);?>">
                                <?php } ?>
                            </td>
                        </tr>
                        <tr>
                            <td class="left-div"><span>Display Name</span></td>
                            <td class="right-div">
                                <?php if(!empty($user_config)) {
                                    echo '<select name="display_name" style="width:75%;"';
                                    echo '>
                                    <option value="" disabled>--Select an Attribute--</option>';
                                    foreach($user_config as $key => $value){
                                        if($value) {
                                            $selected = ($display_name == $key) ? 'selected' : '';
                                            echo '<option value="' .$key .'" ' . $selected . '>'.$key.'</option>';
                                        }
                                    }
                                    echo '</select>';
                                } else { ?>
                                    <input style="width:75%;" placeholder="Enter attribute name for Display Name" type="text" name="display_name" value="<?php echo esc_html($display_name);?>">
                                <?php } ?>
                            </td>
                        </tr>
                        <tr>
                            <td></td>
                        </tr>
                        <tr>
                            <td>
                                <input style="height:30px;" type="submit" class="mo-ms-tab-content-button" value="SAVE">
                                <div class="loader-placeholder"></div>
                            </td>
                        </tr>
                </table>
                
            </form>
            
        <?php
    }

    

    private function mo_sps_get_test_url(){
        return admin_url('?sps_option=mo_sps_test_user_app_connection');
    }
}