<?php

namespace MoSharePointObjectSync\Wrappers;

class pluginConstants{

    const notice_message = 'mo_sps_notice_message';
    const APP_CONFIG = 'mo_sps_application_config';
    const FEEDBACK_CONFIG = 'mo_sps_feedback_config';
    const USER_CONFIG = 'mo_sps_user_details';
    const PROFILE_MAPPING = 'mo_sps_profile_mapping';
    const DOCUMENT_SET = 'mo_sps_document_set';

    const CURRENT_STATE = 'mo_sps_save_current_state';
    const CURRENT_STATE_VALUE = 'mo_sps_current_state_value';
    const CURRENT_SEARCHED_DATA = 'mo_sps_searched_data';

    const SYNC_INTERVAL = 'mo_sps_next_sync_interval';


    const HOSTNAME = "https://login.xecurify.com";
    const PLUGIN_ACTIVATED = 'mo_sps_plugin_activated';
    const YOUTUBE_GUIDE_LINK = 'https://www.youtube.com/embed/UbeDfR1TOH0';
    
    const MIME_TYPES = array(
        'aspx' => 'text/html',
        'jpg' => 'image/jpeg',
        'jpeg' => 'image/jpeg',
        'jpe' => 'image/jpeg',
        'gif' => 'image/gif',
        'png' => 'image/png',
        'bmp' => 'image/bmp',
        'tiff' => 'image/tiff',
        'tif' => 'image/tiff',
        'webp' => 'image/webp',
        'ico' => 'image/x-icon',
        'heic' => 'image/heic',
        'asf' => 'video/x-ms-asf',
        'asx' => 'video/x-ms-asf',
        'wmv' => 'video/x-ms-wmv',
        'wmx' => 'video/x-ms-wmx',
        'wm' => 'video/x-ms-wm',
        'avi' => 'video/avi',
        'divx' => 'video/divx',
        'flv' => 'video/x-flv',
        'mov' => 'video/quicktime',
        'qt' => 'video/quicktime',
        'mpeg' => 'video/mpeg',
        'mpg' => 'video/mpeg',
        'mpe' => 'video/mpeg',
        'mp4' => 'video/mp4',
        'm4v' => 'video/mp4',
        'ogv' => 'video/ogg',
        'webm' => 'video/webm',
        'mkv' => 'video/x-matroska',
        '3gp' => 'video/3gpp',
        '3gpp' => 'video/3gpp',
        '3g2' => 'video/3gpp2',
        '3gp2' => 'video/3gpp2',
        'txt' => 'text/plain',
        'asc' => 'text/plain',
        'c' => 'text/plain',
        'cc' => 'text/plain',
        'h' => 'text/plain',
        'srt' => 'text/plain',
        'csv' => 'text/csv',
        'tsv' => 'text/tab-separated-values',
        'ics' => 'text/calendar',
        'rtx' => 'text/richtext',
        'css' => 'text/css',
        'htm' => 'text/html',
        'html' => 'text/html',
        'vtt' => 'text/vtt',
        'dfxp' => 'application/ttaf+xml',
        'mp3' => 'audio/mpeg',
        'm4a' => 'audio/mpeg',
        'm4b' => 'audio/mpeg',
        'aac' => 'audio/aac',
        'ra' => 'audio/x-realaudio',
        'ram' => 'audio/x-realaudio',
        'wav' => 'audio/wav',
        'ogg' => 'audio/ogg',
        'oga' => 'audio/ogg',
        'flac' => 'audio/flac',
        'mid' => 'audio/midi',
        'midi' => 'audio/midi',
        'wma' => 'audio/x-ms-wma',
        'wax' => 'audio/x-ms-wax',
        'mka' => 'audio/x-matroska',
        'rtf' => 'application/rtf',
        'js' => 'application/javascript',
        'pdf' => 'application/pdf',
        'swf' => 'application/x-shockwave-flash',
        'class' => 'application/java',
        'tar' => 'application/x-tar',
        'zip' => 'application/zip',
        'gz' => 'application/x-gzip',
        'gzip' => 'application/x-gzip',
        'rar' => 'application/rar',
        '7z' => 'application/x-7z-compressed',
        'exe' => 'application/x-msdownload',
        'psd' => 'application/octet-stream',
        'xcf' => 'application/octet-stream',
        'doc' => 'application/msword',
        'pot' => 'application/vnd.ms-powerpoint',
        'pps' => 'application/vnd.ms-powerpoint',
        'ppt' => 'application/vnd.ms-powerpoint',
        'wri' => 'application/vnd.ms-write',
        'xlw' => 'application/vnd.ms-excel',
        'xls' => 'application/vnd.ms-excel',
        'xlt' => 'application/vnd.ms-excel',
        'xlw' => 'application/vnd.ms-excel',
        'mdb' => 'application/vnd.ms-access',
        'mpp' => 'application/vnd.ms-project',
        'docx' => 'application/vnd.openxmlformats-officedocument.wordprocessingml.document',
        'docm' => 'application/vnd.ms-word.document.macroEnabled.12',
        'dotx' => 'application/vnd.openxmlformats-officedocument.wordprocessingml.template',
        'dotm' => 'application/vnd.ms-word.template.macroEnabled.12',
        'xlsx' => 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet',
        'xlsm' => 'application/vnd.ms-excel.sheet.macroEnabled.12',
        'xlsb' => 'application/vnd.ms-excel.sheet.binary.macroEnabled.12',
        'xltx' => 'application/vnd.openxmlformats-officedocument.spreadsheetml.template',
        'xltm' => 'application/vnd.ms-excel.template.macroEnabled.12',
        'xlam' => 'application/vnd.ms-excel.addin.macroEnabled.12',
        'pptx' => 'application/vnd.openxmlformats-officedocument.presentationml.presentation',
        'pptm' => 'application/vnd.ms-powerpoint.presentation.macroEnabled.12',
        'ppsx' => 'application/vnd.openxmlformats-officedocument.presentationml.slideshow',
        'ppsm' => 'application/vnd.ms-powerpoint.slideshow.macroEnabled.12',
        'potx' => 'application/vnd.openxmlformats-officedocument.presentationml.template',
        'potm' => 'application/vnd.ms-powerpoint.template.macroEnabled.12',
        'ppam' => 'application/vnd.ms-powerpoint.addin.macroEnabled.12',
        'sldx' => 'application/vnd.openxmlformats-officedocument.presentationml.slide',
        'sldm' => 'application/vnd.ms-powerpoint.slide.macroEnabled.12',
        'onetoc' => 'application/onenote',
        'onetoc2' => 'application/onenote',
        'onetmp' => 'application/onenote',
        'onepkg' => 'application/onenote',
        'oxps' => 'application/oxps',
        'xps' => 'application/vnd.ms-xpsdocument',
        'odt' => 'application/vnd.oasis.opendocument.text',
        'odp' => 'application/vnd.oasis.opendocument.presentation',
        'ods' => 'application/vnd.oasis.opendocument.spreadsheet',
        'odg' => 'application/vnd.oasis.opendocument.graphics',
        'odc' => 'application/vnd.oasis.opendocument.chart',
        'odb' => 'application/vnd.oasis.opendocument.database',
        'odf' => 'application/vnd.oasis.opendocument.formula',
        'wp' => 'application/wordperfect',
        'wpd' => 'application/wordperfect',
        'key' => 'application/vnd.apple.keynote',
        'numbers' => 'application/vnd.apple.numbers',
        'pages' => 'application/vnd.apple.pages',
    );

    const time_zones = array(
        "(GMT-11:00) Niue Time" => "Pacific/Niue",
        "(GMT-11:00) Samoa Standard Time" => "Pacific/Pago_Pago",
        "(GMT-10:00) Cook Islands Standard Time" => "Pacific/Rarotonga",
        "(GMT-10:00) Hawaii-Aleutian Standard Time" => "Pacific/Honolulu",
        "(GMT-10:00) Tahiti Time" => "Pacific/Tahiti",
        "(GMT-09:30) Marquesas Time" => "Pacific/Marquesas",
        "(GMT-09:00) Gambier Time" => "Pacific/Gambier",
        "(GMT-09:00) Hawaii-Aleutian Time (Adak)" => "America/Adak",
        "(GMT-08:00) Alaska Time - Anchorage" => "America/Anchorage",
        "(GMT-08:00) Alaska Time - Juneau" => "America/Juneau",
        "(GMT-08:00) Alaska Time - Metlakatla" => "America/Metlakatla",
        "(GMT-08:00) Alaska Time - Nome" => "America/Nome",
        "(GMT-08:00) Alaska Time - Sitka" => "America/Sitka",
        "(GMT-08:00) Alaska Time - Yakutat" => "America/Yakutat",
        "(GMT-08:00) Pitcairn Time" => "Pacific/Pitcairn",
        "(GMT-07:00) Mexican Pacific Standard Time" => "America/Hermosillo",
        "(GMT-07:00) Mountain Standard Time - Creston" => "America/Creston",
        "(GMT-07:00) Mountain Standard Time - Dawson" => "America/Dawson",
        "(GMT-07:00) Mountain Standard Time - Dawson Creek" => "America/Dawson_Creek",
        "(GMT-07:00) Mountain Standard Time - Fort Nelson" => "America/Fort_Nelson",
        "(GMT-07:00) Mountain Standard Time - Phoenix" => "America/Phoenix",
        "(GMT-07:00) Mountain Standard Time - Whitehorse" => "America/Whitehorse",
        "(GMT-07:00) Pacific Time - Los Angeles" => "America/Los_Angeles",
        "(GMT-07:00) Pacific Time - Tijuana" => "America/Tijuana",
        "(GMT-07:00) Pacific Time - Vancouver" => "America/Vancouver",
        "(GMT-06:00) Central Standard Time - Belize" => "America/Belize",
        "(GMT-06:00) Central Standard Time - Costa Rica" => "America/Costa_Rica",
        "(GMT-06:00) Central Standard Time - El Salvador" => "America/El_Salvador",
        "(GMT-06:00) Central Standard Time - Guatemala" => "America/Guatemala",
        "(GMT-06:00) Central Standard Time - Managua" => "America/Managua",
        "(GMT-06:00) Central Standard Time - Regina" => "America/Regina",
        "(GMT-06:00) Central Standard Time - Swift Current" => "America/Swift_Current",
        "(GMT-06:00) Central Standard Time - Tegucigalpa" => "America/Tegucigalpa",
        "(GMT-06:00) Easter Island Time" => "Pacific/Easter",
        "(GMT-06:00) Galapagos Time" => "Pacific/Galapagos",
        "(GMT-06:00) Mexican Pacific Time - Chihuahua" => "America/Chihuahua",
        "(GMT-06:00) Mexican Pacific Time - Mazatlan" => "America/Mazatlan",
        "(GMT-06:00) Mountain Time - Boise" => "America/Boise",
        "(GMT-06:00) Mountain Time - Cambridge Bay" => "America/Cambridge_Bay",
        "(GMT-06:00) Mountain Time - Denver" => "America/Denver",
        "(GMT-06:00) Mountain Time - Edmonton" => "America/Edmonton",
        "(GMT-06:00) Mountain Time - Inuvik" => "America/Inuvik",
        "(GMT-06:00) Mountain Time - Ojinaga" => "America/Ojinaga",
        "(GMT-06:00) Mountain Time - Yellowknife" => "America/Yellowknife",
        "(GMT-05:00) Acre Standard Time - Eirunepe" => "America/Eirunepe",
        "(GMT-05:00) Acre Standard Time - Rio Branco" => "America/Rio_Branco",
        "(GMT-05:00) Central Time - Bahia Banderas" => "America/Bahia_Banderas",
        "(GMT-05:00) Central Time - Beulah, North Dakota" => "America/North_Dakota/Beulah",
        "(GMT-05:00) Central Time - Center, North Dakota" => "America/North_Dakota/Center",
        "(GMT-05:00) Central Time - Chicago" => "America/Chicago",
        "(GMT-05:00) Central Time - Knox, Indiana" => "America/Indiana/Knox",
        "(GMT-05:00) Central Time - Matamoros" => "America/Matamoros",
        "(GMT-05:00) Central Time - Menominee" => "America/Menominee",
        "(GMT-05:00) Central Time - Merida" => "America/Merida",
        "(GMT-05:00) Central Time - Mexico City" => "America/Mexico_City",
        "(GMT-05:00) Central Time - Monterrey" => "America/Monterrey",
        "(GMT-05:00) Central Time - New Salem, North Dakota" => "America/North_Dakota/New_Salem",
        "(GMT-05:00) Central Time - Rainy River" => "America/Rainy_River",
        "(GMT-05:00) Central Time - Rankin Inlet" => "America/Rankin_Inlet",
        "(GMT-05:00) Central Time - Resolute" => "America/Resolute",
        "(GMT-05:00) Central Time - Tell City, Indiana" => "America/Indiana/Tell_City",
        "(GMT-05:00) Central Time - Winnipeg" => "America/Winnipeg",
        "(GMT-05:00) Colombia Standard Time" => "America/Bogota",
        "(GMT-05:00) Eastern Standard Time - Atikokan" => "America/Atikokan",
        "(GMT-05:00) Eastern Standard Time - Cancun" => "America/Cancun",
        "(GMT-05:00) Eastern Standard Time - Jamaica" => "America/Jamaica",
        "(GMT-05:00) Eastern Standard Time - Panama" => "America/Panama",
        "(GMT-05:00) Ecuador Time" => "America/Guayaquil",
        "(GMT-05:00) Peru Standard Time" => "America/Lima",
        "(GMT-04:00) Amazon Standard Time - Boa Vista" => "America/Boa_Vista",
        "(GMT-04:00) Amazon Standard Time - Campo Grande" => "America/Campo_Grande",
        "(GMT-04:00) Amazon Standard Time - Cuiaba" => "America/Cuiaba",
        "(GMT-04:00) Amazon Standard Time - Manaus" => "America/Manaus",
        "(GMT-04:00) Amazon Standard Time - Porto Velho" => "America/Porto_Velho",
        "(GMT-04:00) Atlantic Standard Time - Barbados" => "America/Barbados",
        "(GMT-04:00) Atlantic Standard Time - Blanc-Sablon" => "America/Blanc-Sablon",
        "(GMT-04:00) Atlantic Standard Time - Curaçao" => "America/Curacao",
        "(GMT-04:00) Atlantic Standard Time - Martinique" => "America/Martinique",
        "(GMT-04:00) Atlantic Standard Time - Port of Spain" => "America/Port_of_Spain",
        "(GMT-04:00) Atlantic Standard Time - Puerto Rico" => "America/Puerto_Rico",
        "(GMT-04:00) Atlantic Standard Time - Santo Domingo" => "America/Santo_Domingo",
        "(GMT-04:00) Bolivia Time" => "America/La_Paz",
        "(GMT-04:00) Chile Time" => "America/Santiago",
        "(GMT-04:00) Cuba Time" => "America/Havana",
        "(GMT-04:00) Eastern Time - Detroit" => "America/Detroit",
        "(GMT-04:00) Eastern Time - Grand Turk" => "America/Grand_Turk",
        "(GMT-04:00) Eastern Time - Indianapolis" => "America/Indiana/Indianapolis",
        "(GMT-04:00) Eastern Time - Iqaluit" => "America/Iqaluit",
        "(GMT-04:00) Eastern Time - Louisville" => "America/Kentucky/Louisville",
        "(GMT-04:00) Eastern Time - Marengo, Indiana" => "America/Indiana/Marengo",
        "(GMT-04:00) Eastern Time - Monticello, Kentucky" => "America/Kentucky/Monticello",
        "(GMT-04:00) Eastern Time - Nassau" => "America/Nassau",
        "(GMT-04:00) Eastern Time - New York" => "America/New_York",
        "(GMT-04:00) Eastern Time - Nipigon" => "America/Nipigon",
        "(GMT-04:00) Eastern Time - Pangnirtung" => "America/Pangnirtung",
        "(GMT-04:00) Eastern Time - Petersburg, Indiana" => "America/Indiana/Petersburg",
        "(GMT-04:00) Eastern Time - Port-au-Prince" => "America/Port-au-Prince",
        "(GMT-04:00) Eastern Time - Thunder Bay" => "America/Thunder_Bay",
        "(GMT-04:00) Eastern Time - Toronto" => "America/Toronto",
        "(GMT-04:00) Eastern Time - Vevay, Indiana" => "America/Indiana/Vevay",
        "(GMT-04:00) Eastern Time - Vincennes, Indiana" => "America/Indiana/Vincennes",
        "(GMT-04:00) Eastern Time - Winamac, Indiana" => "America/Indiana/Winamac",
        "(GMT-04:00) Guyana Time" => "America/Guyana",
        "(GMT-04:00) Paraguay Time" => "America/Asuncion",
        "(GMT-04:00) Venezuela Time" => "America/Caracas",
        "(GMT-03:00) Argentina Standard Time - Buenos Aires" => "America/Argentina/Buenos_Aires",
        "(GMT-03:00) Argentina Standard Time - Catamarca" => "America/Argentina/Catamarca",
        "(GMT-03:00) Argentina Standard Time - Cordoba" => "America/Argentina/Cordoba",
        "(GMT-03:00) Argentina Standard Time - Jujuy" => "America/Argentina/Jujuy",
        "(GMT-03:00) Argentina Standard Time - La Rioja" => "America/Argentina/La_Rioja",
        "(GMT-03:00) Argentina Standard Time - Mendoza" => "America/Argentina/Mendoza",
        "(GMT-03:00) Argentina Standard Time - Rio Gallegos" => "America/Argentina/Rio_Gallegos",
        "(GMT-03:00) Argentina Standard Time - Salta" => "America/Argentina/Salta",
        "(GMT-03:00) Argentina Standard Time - San Juan" => "America/Argentina/San_Juan",
        "(GMT-03:00) Argentina Standard Time - San Luis" => "America/Argentina/San_Luis",
        "(GMT-03:00) Argentina Standard Time - Tucuman" => "America/Argentina/Tucuman",
        "(GMT-03:00) Argentina Standard Time - Ushuaia" => "America/Argentina/Ushuaia",
        "(GMT-03:00) Atlantic Time - Bermuda" => "Atlantic/Bermuda",
        "(GMT-03:00) Atlantic Time - Glace Bay" => "America/Glace_Bay",
        "(GMT-03:00) Atlantic Time - Goose Bay" => "America/Goose_Bay",
        "(GMT-03:00) Atlantic Time - Halifax" => "America/Halifax",
        "(GMT-03:00) Atlantic Time - Moncton" => "America/Moncton",
        "(GMT-03:00) Atlantic Time - Thule" => "America/Thule",
        "(GMT-03:00) Brasilia Standard Time - Araguaina" => "America/Araguaina",
        "(GMT-03:00) Brasilia Standard Time - Bahia" => "America/Bahia",
        "(GMT-03:00) Brasilia Standard Time - Belem" => "America/Belem",
        "(GMT-03:00) Brasilia Standard Time - Fortaleza" => "America/Fortaleza",
        "(GMT-03:00) Brasilia Standard Time - Maceio" => "America/Maceio",
        "(GMT-03:00) Brasilia Standard Time - Recife" => "America/Recife",
        "(GMT-03:00) Brasilia Standard Time - Santarem" => "America/Santarem",
        "(GMT-03:00) Brasilia Standard Time - Sao Paulo" => "America/Sao_Paulo",
        "(GMT-03:00) Chile Time" => "America/Santiago",
        "(GMT-03:00) Falkland Islands Standard Time" => "Atlantic/Stanley",
        "(GMT-03:00) French Guiana Time" => "America/Cayenne",
        "(GMT-03:00) Palmer Time" => "Antarctica/Palmer",
        "(GMT-03:00) Punta Arenas Time" => "America/Punta_Arenas",
        "(GMT-03:00) Rothera Time" => "Antarctica/Rothera",
        "(GMT-03:00) Suriname Time" => "America/Paramaribo",
        "(GMT-03:00) Uruguay Standard Time" => "America/Montevideo",
        "(GMT-02:30) Newfoundland Time" => "America/St_Johns",
        "(GMT-02:00) Fernando de Noronha Standard Time" => "America/Noronha",
        "(GMT-02:00) South Georgia Time" => "Atlantic/South_Georgia",
        "(GMT-02:00) St. Pierre & Miquelon Time" => "America/Miquelon",
        "(GMT-02:00) West Greenland Time" => "America/Nuuk",
        "(GMT-01:00) Cape Verde Standard Time" => "Atlantic/Cape_Verde",
        "(GMT+00:00) Azores Time" => "Atlantic/Azores",
        "(GMT+00:00) Coordinated Universal Time" => "UTC",
        "(GMT+00:00) East Greenland Time" => "America/Scoresbysund",
        "(GMT+00:00) Greenwich Mean Time" => "Etc/GMT",
        "(GMT+00:00) Greenwich Mean Time - Abidjan" => "Africa/Abidjan",
        "(GMT+00:00) Greenwich Mean Time - Accra" => "Africa/Accra",
        "(GMT+00:00) Greenwich Mean Time - Bissau" => "Africa/Bissau",
        "(GMT+00:00) Greenwich Mean Time - Danmarkshavn" => "America/Danmarkshavn",
        "(GMT+00:00) Greenwich Mean Time - Monrovia" => "Africa/Monrovia",
        "(GMT+00:00) Greenwich Mean Time - Reykjavik" => "Atlantic/Reykjavik",
        "(GMT+00:00) Greenwich Mean Time - São Tomé" => "Africa/Sao_Tome",
        "(GMT+01:00) Central European Standard Time - Algiers" => "Africa/Algiers",
        "(GMT+01:00) Central European Standard Time - Tunis" => "Africa/Tunis",
        "(GMT+01:00) Ireland Time" => "Europe/Dublin",
        "(GMT+01:00) Morocco Time" => "Africa/Casablanca",
        "(GMT+01:00) United Kingdom Time" => "Europe/London",
        "(GMT+01:00) West Africa Standard Time - Lagos" => "Africa/Lagos",
        "(GMT+01:00) West Africa Standard Time - Ndjamena" => "Africa/Ndjamena",
        "(GMT+01:00) Western European Time - Canary" => "Atlantic/Canary",
        "(GMT+01:00) Western European Time - Faroe" => "Atlantic/Faroe",
        "(GMT+01:00) Western European Time - Lisbon" => "Europe/Lisbon",
        "(GMT+01:00) Western European Time - Madeira" => "Atlantic/Madeira",
        "(GMT+01:00) Western Sahara Time" => "Africa/El_Aaiun",
        "(GMT+02:00) Central Africa Time - Khartoum" => "Africa/Khartoum",
        "(GMT+02:00) Central Africa Time - Maputo" => "Africa/Maputo",
        "(GMT+02:00) Central Africa Time - Windhoek" => "Africa/Windhoek",
        "(GMT+02:00) Central European Time - Amsterdam" => "Europe/Amsterdam",
        "(GMT+02:00) Central European Time - Andorra" => "Europe/Andorra",
        "(GMT+02:00) Central European Time - Belgrade" => "Europe/Belgrade",
        "(GMT+02:00) Central European Time - Berlin" => "Europe/Berlin",
        "(GMT+02:00) Central European Time - Brussels" => "Europe/Brussels",
        "(GMT+02:00) Central European Time - Budapest" => "Europe/Budapest",
        "(GMT+02:00) Central European Time - Ceuta" => "Africa/Ceuta",
        "(GMT+02:00) Central European Time - Copenhagen" => "Europe/Copenhagen",
        "(GMT+02:00) Central European Time - Gibraltar" => "Europe/Gibraltar",
        "(GMT+02:00) Central European Time - Luxembourg" => "Europe/Luxembourg",
        "(GMT+02:00) Central European Time - Madrid" => "Europe/Madrid",
        "(GMT+02:00) Central European Time - Malta" => "Europe/Malta",
        "(GMT+02:00) Central European Time - Monaco" => "Europe/Monaco",
        "(GMT+02:00) Central European Time - Oslo" => "Europe/Oslo",
        "(GMT+02:00) Central European Time - Paris" => "Europe/Paris",
        "(GMT+02:00) Central European Time - Prague" => "Europe/Prague",
        "(GMT+02:00) Central European Time - Rome" => "Europe/Rome",
        "(GMT+02:00) Central European Time - Stockholm" => "Europe/Stockholm",
        "(GMT+02:00) Central European Time - Tirane" => "Europe/Tirane",
        "(GMT+02:00) Central European Time - Vienna" => "Europe/Vienna",
        "(GMT+02:00) Central European Time - Warsaw" => "Europe/Warsaw",
        "(GMT+02:00) Central European Time - Zurich" => "Europe/Zurich",
        "(GMT+02:00) Eastern European Standard Time - Cairo" => "Africa/Cairo",
        "(GMT+02:00) Eastern European Standard Time - Kaliningrad" => "Europe/Kaliningrad",
        "(GMT+02:00) Eastern European Standard Time - Tripoli" => "Africa/Tripoli",
        "(GMT+02:00) South Africa Standard Time" => "Africa/Johannesburg",
        "(GMT+02:00) Troll Time" => "Antarctica/Troll",
        "(GMT+03:00) Arabian Standard Time - Baghdad" => "Asia/Baghdad",
        "(GMT+03:00) Arabian Standard Time - Qatar" => "Asia/Qatar",
        "(GMT+03:00) Arabian Standard Time - Riyadh" => "Asia/Riyadh",
        "(GMT+03:00) East Africa Time - Juba" => "Africa/Juba",
        "(GMT+03:00) East Africa Time - Nairobi" => "Africa/Nairobi",
        "(GMT+03:00) Eastern European Time - Amman" => "Asia/Amman",
        "(GMT+03:00) Eastern European Time - Athens" => "Europe/Athens",
        "(GMT+03:00) Eastern European Time - Beirut" => "Asia/Beirut",
        "(GMT+03:00) Eastern European Time - Bucharest" => "Europe/Bucharest",
        "(GMT+03:00) Eastern European Time - Chisinau" => "Europe/Chisinau",
        "(GMT+03:00) Eastern European Time - Damascus" => "Asia/Damascus",
        "(GMT+03:00) Eastern European Time - Gaza" => "Asia/Gaza",
        "(GMT+03:00) Eastern European Time - Hebron" => "Asia/Hebron",
        "(GMT+03:00) Eastern European Time - Helsinki" => "Europe/Helsinki",
        "(GMT+03:00) Eastern European Time - Kiev" => "Europe/Kiev",
        "(GMT+03:00) Eastern European Time - Nicosia" => "Asia/Nicosia",
        "(GMT+03:00) Eastern European Time - Riga" => "Europe/Riga",
        "(GMT+03:00) Eastern European Time - Sofia" => "Europe/Sofia",
        "(GMT+03:00) Eastern European Time - Tallinn" => "Europe/Tallinn",
        "(GMT+03:00) Eastern European Time - Uzhhorod" => "Europe/Uzhgorod",
        "(GMT+03:00) Eastern European Time - Vilnius" => "Europe/Vilnius",
        "(GMT+03:00) Eastern European Time - Zaporozhye" => "Europe/Zaporozhye",
        "(GMT+03:00) Famagusta Time" => "Asia/Famagusta",
        "(GMT+03:00) Israel Time" => "Asia/Jerusalem",
        "(GMT+03:00) Kirov Time" => "Europe/Kirov",
        "(GMT+03:00) Moscow Standard Time - Minsk" => "Europe/Minsk",
        "(GMT+03:00) Moscow Standard Time - Moscow" => "Europe/Moscow",
        "(GMT+03:00) Moscow Standard Time - Simferopol" => "Europe/Simferopol",
        "(GMT+03:00) Syowa Time" => "Antarctica/Syowa",
        "(GMT+03:00) Turkey Time" => "Europe/Istanbul",
        "(GMT+04:00) Armenia Standard Time" => "Asia/Yerevan",
        "(GMT+04:00) Astrakhan Time" => "Europe/Astrakhan",
        "(GMT+04:00) Azerbaijan Standard Time" => "Asia/Baku",
        "(GMT+04:00) Georgia Standard Time" => "Asia/Tbilisi",
        "(GMT+04:00) Gulf Standard Time" => "Asia/Dubai",
        "(GMT+04:00) Mauritius Standard Time" => "Indian/Mauritius",
        "(GMT+04:00) Réunion Time" => "Indian/Reunion",
        "(GMT+04:00) Samara Standard Time" => "Europe/Samara",
        "(GMT+04:00) Saratov Time" => "Europe/Saratov",
        "(GMT+04:00) Seychelles Time" => "Indian/Mahe",
        "(GMT+04:00) Ulyanovsk Time" => "Europe/Ulyanovsk",
        "(GMT+04:00) Volgograd Standard Time" => "Europe/Volgograd",
        "(GMT+04:30) Afghanistan Time" => "Asia/Kabul",
        "(GMT+04:30) Iran Time" => "Asia/Tehran",
        "(GMT+05:00) French Southern & Antarctic Time" => "Indian/Kerguelen",
        "(GMT+05:00) Maldives Time" => "Indian/Maldives",
        "(GMT+05:00) Mawson Time" => "Antarctica/Mawson",
        "(GMT+05:00) Pakistan Standard Time" => "Asia/Karachi",
        "(GMT+05:00) Tajikistan Time" => "Asia/Dushanbe",
        "(GMT+05:00) Turkmenistan Standard Time" => "Asia/Ashgabat",
        "(GMT+05:00) Uzbekistan Standard Time - Samarkand" => "Asia/Samarkand",
        "(GMT+05:00) Uzbekistan Standard Time - Tashkent" => "Asia/Tashkent",
        "(GMT+05:00) West Kazakhstan Time - Aqtau" => "Asia/Aqtau",
        "(GMT+05:00) West Kazakhstan Time - Aqtobe" => "Asia/Aqtobe",
        "(GMT+05:00) West Kazakhstan Time - Atyrau" => "Asia/Atyrau",
        "(GMT+05:00) West Kazakhstan Time - Oral" => "Asia/Oral",
        "(GMT+05:00) West Kazakhstan Time - Qyzylorda" => "Asia/Qyzylorda",
        "(GMT+05:00) Yekaterinburg Standard Time" => "Asia/Yekaterinburg",
        "(GMT+05:30) Indian Standard Time - Colombo" => "Asia/Colombo",
        "(GMT+05:30) Indian Standard Time - Kolkata" => "Asia/Kolkata",
        "(GMT+05:45) Nepal Time" => "Asia/Kathmandu",
        "(GMT+06:00) Bangladesh Standard Time" => "Asia/Dhaka",
        "(GMT+06:00) Bhutan Time" => "Asia/Thimphu",
        "(GMT+06:00) East Kazakhstan Time - Almaty" => "Asia/Almaty",
        "(GMT+06:00) East Kazakhstan Time - Kostanay" => "Asia/Qostanay",
        "(GMT+06:00) Indian Ocean Time" => "Indian/Chagos",
        "(GMT+06:00) Kyrgyzstan Time" => "Asia/Bishkek",
        "(GMT+06:00) Omsk Standard Time" => "Asia/Omsk",
        "(GMT+06:00) Urumqi Time" => "Asia/Urumqi",
        "(GMT+06:00) Vostok Time" => "Antarctica/Vostok",
        "(GMT+06:30) Cocos Islands Time" => "Indian/Cocos",
        "(GMT+06:30) Myanmar Time" => "Asia/Yangon",
        "(GMT+07:00) Barnaul Time" => "Asia/Barnaul",
        "(GMT+07:00) Christmas Island Time" => "Indian/Christmas",
        "(GMT+07:00) Davis Time" => "Antarctica/Davis",
        "(GMT+07:00) Hovd Standard Time" => "Asia/Hovd",
        "(GMT+07:00) Indochina Time - Bangkok" => "Asia/Bangkok",
        "(GMT+07:00) Indochina Time - Ho Chi Minh City" => "Asia/Ho_Chi_Minh",
        "(GMT+07:00) Krasnoyarsk Standard Time - Krasnoyarsk" => "Asia/Krasnoyarsk",
        "(GMT+07:00) Krasnoyarsk Standard Time - Novokuznetsk" => "Asia/Novokuznetsk",
        "(GMT+07:00) Novosibirsk Standard Time" => "Asia/Novosibirsk",
        "(GMT+07:00) Tomsk Time" => "Asia/Tomsk",
        "(GMT+07:00) Western Indonesia Time - Jakarta" => "Asia/Jakarta",
        "(GMT+07:00) Western Indonesia Time - Pontianak" => "Asia/Pontianak",
        "(GMT+08:00) Australian Western Standard Time - Casey" => "Antarctica/Casey",
        "(GMT+08:00) Australian Western Standard Time - Perth" => "Australia/Perth",
        "(GMT+08:00) Brunei Darussalam Time" => "Asia/Brunei",
        "(GMT+08:00) Central Indonesia Time" => "Asia/Makassar",
        "(GMT+08:00) China Standard Time - Macao" => "Asia/Macau",
        "(GMT+08:00) China Standard Time - Shanghai" => "Asia/Shanghai",
        "(GMT+08:00) Hong Kong Standard Time" => "Asia/Hong_Kong",
        "(GMT+08:00) Irkutsk Standard Time" => "Asia/Irkutsk",
        "(GMT+08:00) Malaysia Time - Kuala Lumpur" => "Asia/Kuala_Lumpur",
        "(GMT+08:00) Malaysia Time - Kuching" => "Asia/Kuching",
        "(GMT+08:00) Philippine Standard Time" => "Asia/Manila",
        "(GMT+08:00) Singapore Standard Time" => "Asia/Singapore",
        "(GMT+08:00) Taipei Standard Time" => "Asia/Taipei",
        "(GMT+08:00) Ulaanbaatar Standard Time - Choibalsan" => "Asia/Choibalsan",
        "(GMT+08:00) Ulaanbaatar Standard Time - Ulaanbaatar" => "Asia/Ulaanbaatar",
        "(GMT+08:45) Australian Central Western Standard Time" => "Australia/Eucla",
        "(GMT+09:00) East Timor Time" => "Asia/Dili",
        "(GMT+09:00) Eastern Indonesia Time" => "Asia/Jayapura",
        "(GMT+09:00) Japan Standard Time" => "Asia/Tokyo",
        "(GMT+09:00) Korean Standard Time - Pyongyang" => "Asia/Pyongyang",
        "(GMT+09:00) Korean Standard Time - Seoul" => "Asia/Seoul",
        "(GMT+09:00) Palau Time" => "Pacific/Palau",
        "(GMT+09:00) Yakutsk Standard Time - Chita" => "Asia/Chita",
        "(GMT+09:00) Yakutsk Standard Time - Khandyga" => "Asia/Khandyga",
        "(GMT+09:00) Yakutsk Standard Time - Yakutsk" => "Asia/Yakutsk",
        "(GMT+09:30) Australian Central Standard Time" => "Australia/Darwin",
        "(GMT+09:30) Central Australia Time - Adelaide" => "Australia/Adelaide",
        "(GMT+09:30) Central Australia Time - Broken Hill" => "Australia/Broken_Hill",
        "(GMT+10:00) Australian Eastern Standard Time - Brisbane" => "Australia/Brisbane",
        "(GMT+10:00) Australian Eastern Standard Time - Lindeman" => "Australia/Lindeman",
        "(GMT+10:00) Chamorro Standard Time" => "Pacific/Guam",
        "(GMT+10:00) Chuuk Time" => "Pacific/Chuuk",
        "(GMT+10:00) Dumont-d’Urville Time" => "Antarctica/DumontDUrville",
        "(GMT+10:00) Eastern Australia Time - Currie" => "Australia/Currie",
        "(GMT+10:00) Eastern Australia Time - Hobart" => "Australia/Hobart",
        "(GMT+10:00) Eastern Australia Time - Melbourne" => "Australia/Melbourne",
        "(GMT+10:00) Eastern Australia Time - Sydney" => "Australia/Sydney",
        "(GMT+10:00) Papua New Guinea Time" => "Pacific/Port_Moresby",
        "(GMT+10:00) Vladivostok Standard Time - Ust-Nera" => "Asia/Ust-Nera",
        "(GMT+10:00) Vladivostok Standard Time - Vladivostok" => "Asia/Vladivostok",
        "(GMT+10:30) Lord Howe Time" => "Australia/Lord_Howe",
        "(GMT+11:00) Bougainville Time" => "Pacific/Bougainville",
        "(GMT+11:00) Kosrae Time" => "Pacific/Kosrae",
        "(GMT+11:00) Macquarie Island Time" => "Antarctica/Macquarie",
        "(GMT+11:00) Magadan Standard Time" => "Asia/Magadan",
        "(GMT+11:00) New Caledonia Standard Time" => "Pacific/Noumea",
        "(GMT+11:00) Norfolk Island Time" => "Pacific/Norfolk",
        "(GMT+11:00) Ponape Time" => "Pacific/Pohnpei",
        "(GMT+11:00) Sakhalin Standard Time" => "Asia/Sakhalin",
        "(GMT+11:00) Solomon Islands Time" => "Pacific/Guadalcanal",
        "(GMT+11:00) Srednekolymsk Time" => "Asia/Srednekolymsk",
        "(GMT+11:00) Vanuatu Standard Time" => "Pacific/Efate",
        "(GMT+12:00) Anadyr Standard Time" => "Asia/Anadyr",
        "(GMT+12:00) Fiji Time" => "Pacific/Fiji",
        "(GMT+12:00) Gilbert Islands Time" => "Pacific/Tarawa",
        "(GMT+12:00) Marshall Islands Time - Kwajalein" => "Pacific/Kwajalein",
        "(GMT+12:00) Marshall Islands Time - Majuro" => "Pacific/Majuro",
        "(GMT+12:00) Nauru Time" => "Pacific/Nauru",
        "(GMT+12:00) New Zealand Time" => "Pacific/Auckland",
        "(GMT+12:00) Petropavlovsk-Kamchatski Standard Time" => "Asia/Kamchatka",
        "(GMT+12:00) Tuvalu Time" => "Pacific/Funafuti",
        "(GMT+12:00) Wake Island Time" => "Pacific/Wake",
        "(GMT+12:00) Wallis & Futuna Time" => "Pacific/Wallis",
        "(GMT+12:45) Chatham Time" => "Pacific/Chatham",
        "(GMT+13:00) Apia Time" => "Pacific/Apia",
        "(GMT+13:00) Phoenix Islands Time" => "Pacific/Enderbury",
        "(GMT+13:00) Tokelau Time" => "Pacific/Fakaofo",
        "(GMT+13:00) Tonga Standard Time" => "Pacific/Tongatapu",
        "(GMT+14:00) Line Islands Time" => "Pacific/Kiritimati"
    );

    const ALL_INTEGRATIONS_CARDS = array(
        "Azure Integration"=> array(
            'image' => 'ad.svg',
            'title' => 'Azure AD / B2C for WordPress',
            'description' => '<li>Bidirectional sync all users between azure AD / B2C and WordPress.</li> <li>Sync profile picture of users</li><li>Sync custom attributes like job title, department etc. and group memberships.</li>'
        ),
        "SharePoint Integration"=> array(
            'image' => 'microsoft-sharepoint.svg',
            'title' => 'SharePoint for WordPress',
            'description' => '<li>Sync SharePoint lists and document libraries like contacts, calender, documents etc.</li> <li>Incorporate SharePoint search results, list and document library entries.</li><li>Add calendar Room activities and Resource Booking into WordPress pages.</li>'
        ),
        "PowerBI Integration"=> array(
            'image' => 'power-bi.svg',
            'title' => 'Power BI for WordPress',
            'description' => '<li>Provides interactive visualizations, reports and dashboards.</li>
            <li>Embed custom visualizations, varying reports or dashbaords.</li><li>Other functionalities of Power BI application into your WordPress site.</li> '
        ),
        "MSTeams Integration"=> array(
            'image' => 'ms-teams.svg',
            'title' => 'Microsoft Teams for WordPress',
            'description' => '<li>Create WordPress pages as MS teams tabs or apps.</li> <li>Sync WordPress posts to MS Teams posts</li><li>Display WordPress Pages/Staff directory as tab or app in teams.</li>'
        ),
        "OneDrive Integration"=> array(
            'image' => 'onedrive.svg',
            'title' => 'OneDrive for WordPress',
            'description' => '<li>Bi-directional sync berween directory files of WordPress and Office 365 OneDrive files.</li> 
            <li>Auto sync functionality to fetch all files from oneDrive.</li><li>Map WordPress upload folder with OneDrive folders.</li>'
        ),
        "PowerApps Integration"=> array(
            'image' => 'microsoft-power-apps.svg',
            'title' => 'PowerApps for WordPress',
            'description' => '<li>The seamless access to your powerapps. <li>Functionality to embed your complex business logic, your wordkflows into your WordPress site.</li>'
        ),
        "Outlook Integration"=> array(
            'image' => 'outlook.svg',
            'title' => 'Outlook Calender/Mails for WordPress',
            'description' => '<li>Embed outlook calender on your WordPress pages.</li><li>Schedule the meetings, appointments with customers, view available dates easily.</li> <li>Sync the contacts bidirectionally between outlook contacts and your WordPress database.</li>'
        ),
        "DyanamicCRM365 Integration"=> array(
            'image' => 'dynamics-crm.svg',
            'title' => 'Dynamic CRM 365 for WordPress',
            'description' => '<li>Create multiple Dynamics CRM with WordPress connections.</li><li>Map WordPress meta fields with dynamics CRM entity fields.</li> <li>Auto sync Dynamics CRM entities to WordPress data.</li>'
        ),
        "ApplicationInsights Integration"=> array(
            'image' => 'application-insights.svg',
            'title' => 'Microsoft Application Insights for WordPress',
            'description' => '<li>Lists all of the available Application Insights.</li><li> Integrate with the performance, availability and usage data collected by Application Insights for your active directory applications.</li>'
        ),
        "Yammer Integration"=> array(
            'image' => 'yammer.svg',
            'title' => 'Yammer for WordPress',
            'description' => '<li>Sync all Yammer groups and topics from your yammer web application into your WordPress.</li>
             <li>Access all your yammer groups and topics associated with a specefic office 365 tenant.</li>'
        ),
        "OneNote Integration"=> array(
            'image' => 'onenote.svg',
            'title' => 'OneNote for WordPress',
            'description' => '<li>Quick access to your OneNote resources like notebooks, pages, sections.</li><li>Create new OneNote pages and update existing pages with new content.</li>'
        ),
        "Planner Integration"=> array(
            'image' => 'microsoft-planner.svg',
            'title' => 'Planner for WordPress',
            'description' => '<li>Create teams, tasks, documents, and conversations at WordPress level.</li><li>Embed your task view on your WordPress pages using Microsoft Graph APIs.</li>'
        ),
        "MSBookings Integration"=> array(
            'image' => 'microsoft-bookings.svg',
            'title' => 'Microsoft Bookings for WordPress',
            'description' => '<li>Create a custom design or choose from a variety of pre-made templates to personalise the appearance and feel of your booking process.</li><li>Show the availability of your staff/resources as well as the services they provide using an accessible calendar view</li>'
        ),
        "MSExcel Integration"=> array(
            'image' => 'microsoft-excel.svg',
            'title' => 'Microsoft Excel for WordPress',
            'description' => '<li>Create several Microsoft Excel tables with WordPress.</li><li>Map WordPress meta fields with Microsoft Excel table columns.</li><li>Sync WordPress data to Microsoft Excel tables</li>'
        ),
        "MSToDo Integration"=> array(
            'image' => 'microsoft-to-do-app.svg',
            'title' => 'Microsoft To-Do App for WordPress',
            'description' => '<li>Quick access to all of your tasks in Microsoft To-do is a task management app.</li><li>Assign level of priority to all the tasks from Microsoft To-Do application.</li>'
        ),
    );

    const DEMO_REQUEST_FEATURES_LIST = array(
        "demo_feature1"=>"Azure AD to WordPress user sync",
        "demo_feature2"=>"WordPress to Azure AD user sync",
        "demo_feature3"=>"Profile Picture Sync",
        "demo_feature4"=>"Custom Attribute Mapping",
        "demo_feature5"=>"Taxanomy Mapping",
        "demo_feature6"=>"Group/Role Mapping",
        "demo_feature7"=>"Memberships Mapping (integration with Wp-Members, Paid Membership Pro)",
        "demo_feature8"=>"Send Emails Without setting up SMTP",
        "demo_feature9"=>"Office 365 integrations like PowerBI, Dynamics CRM, SharePoint",
    );

    const INTEGRATIONS_TITLE = array(
		'WooCommerce' => 'WooCommerce',
		'BuddyPress'  => 'BuddyPress / Buddyboss',
		'MemberPress' => 'MemberPress',
		'LearnDash'   => 'LearnDash',
		'ACF'         => 'ACF(Advance Custom Field)',
		'AzureAd'     => 'AzureAd',
	);
}