jQuery(document).ready( function($){
  $("#file_search").css('pointer-events','none');
  
  function delay(callback, ms) {
    var timer = 0;
    return function() {
      var context = this, args = arguments;
      clearTimeout(timer);
      timer = setTimeout(function () {
        callback.apply(context, args);
      }, ms || 0);
    };
  }

  function mo_sps_urlencode(url_to_encode) {
    url_copy = url_to_encode;

    for(var i = 0; i<url_to_encode.length; i++){
      var ele = url_to_encode.charAt(i);
      if(ele == ' ') url_copy = url_copy.replaceAll(' ', '%20');
      else if(ele == '`') url_copy = url_copy.replaceAll('`', '%60'); 
      else if(ele == '#') url_copy = url_copy.replaceAll('#', '%23');
      else if(ele == '^') url_copy = url_copy.replaceAll('^', '%5E');
      else if(ele == '}') url_copy = url_copy.replaceAll('}', '%7D');
      else if(ele == '{') url_copy = url_copy.replaceAll('{', '%7B');
      else if(ele == '.') url_copy = url_copy.replaceAll('.', '%2E');
    }

    return url_copy;

  }

    function mo_sps_formatBytes(size,precision = 2)
    {

    if(size == 0)
      return '-';
      
    base = Math.log(size)/Math.log(1024);
    suffixes = ['', 'KB', 'MB', 'GB', 'TB'];   
    return Math.round(Math.pow(1024, base - Math.floor(base)), precision) +' '+ suffixes[Math.floor(base)];
    }
    
function dateFormat(inputDate, format) {
  
  const date = new Date(inputDate);
  const day = date.getDate();
  const month = date.getMonth() + 1;
  const year = date.getFullYear();   
  format = format.replace("MM", month.toString().padStart(2,"0"));        
  if (format.indexOf("yyyy") > -1) {
      format = format.replace("yyyy", year.toString());
  } else if (format.indexOf("yy") > -1) {
      format = format.replace("yy", year.toString().substr(2,2));
  }
  format = format.replace("dd", day.toString().padStart(2,"0"));

  return format;
}

let global_uri;

  $.ajax({
    url: doc_sync_data.admin_url+"admin-ajax.php", // this is the object instantiated in wp_localize_script function
    type: 'POST',
    data:{
      action: 'mysyncaction', // this is the function in your functions.php that will be triggered
      'serverRelativeURL':doc_sync_data.serverRelativeURL,
      'fetch':doc_sync_data.fetch,
      'tab':doc_sync_data.tab,
    },
    
    beforeSend: function(data) {  
      if(doc_sync_data.tab == '') { 
        $("#table_box").css("width","auto");
        $("#path").css("width","50%");
        $("#mySearchDropdown").css("width","89%");
      }
      document.getElementById("loader").removeAttribute("hidden");
      },

    success: function( data ){
      
      document.getElementById("loader").setAttribute("hidden","");
      localStorage.removeItem('fetch_again');

      if(doc_sync_data.serverRelativeURL == "/Searched Documents") {


        let root_url = (doc_sync_data.tab == '' ? '?serverRelativeURL=' : doc_sync_data.admin_url+'admin.php?page=mo_sps&tab=Documents&fetch=1&serverRelativeURL=');
        $("#root_button").show();
        $("#root_button").append('<a href="'+ root_url + doc_sync_data.folder_path +'" style="text-decoration:none;"><span class="dashicons dashicons-arrow-left-alt"></span></a>');

        let Documents
        if(data.data=="Forbidden")
            Documents = data.data;
        else if(data.data=="Attempted to perform an unauthorized operation.")
            Documents = "";
        else if(data.data=="Token type is not allowed.")
            Documents="Token type is not allowed.";
        else
          Documents = data.data;
        if(typeof(Documents) != "undefined" && (Documents!="") && (Documents!="Forbidden") && (Documents!="Token type is not allowed.")){
          var files = Documents.files;
          var folders = Documents.folders;
          global_uri = Documents.site_uri;
          
          if((folders.length==0 && files.length==0)) {
            let error_msg = '<div style="display:block;"><h4 class="heading-4-black">Go back to the <a href="'+ root_url + doc_sync_data.folder_path +'">root directory</a></h4></div>'
            $("#root_button").hide();
            $("#error_occured").show();
            $("#error_occured").append(error_msg);
          } else {
            
            let table_1 = document.getElementById("reports_table");
            table_1.style.display = "";

            var table = document.getElementById("mo_sps_report_tbody");
            folders.forEach( element =>{
              
              var site_uri_len = (Documents.site_uri).length;
              var item_link = (doc_sync_data.tab == '' ? '?serverRelativeURL=/' : doc_sync_data.admin_url+'admin.php?page=mo_sps&tab=Documents&fetch=1&serverRelativeURL=/')+(element.path).slice(site_uri_len,element.path.length);
              
              var row = table.insertRow(); 
              var cell1 = row.insertCell();
              var cell2 = row.insertCell();
              var cell3 = row.insertCell();
              var cell4 = row.insertCell();

              cell1.style.display = "flex";
              cell1.style.align = "center";

              cell1.innerHTML =  '<img style="width:20px;height:20px;margin-right:10px;" src="'+doc_sync_data.folder_icon_url+'" >'+'<a id="mo_a_hover" href="'+item_link+'" class="list_items">'+element.title+'</a>';
              cell2.innerHTML =   dateFormat(element.date_time, 'dd-MM-yyyy');
              cell3.style.innerHTML = "";
              cell3.style.innerHTML = "";

              cell4.style.textAlign = "center";
              cell2.style.textAlign = "center";
              cell1.style.wordBreak = "break-all";
            });
            files.forEach(element =>{

              let file_name_crump = (element.title).split('.');
              let file_type = file_name_crump[file_name_crump.length -1];
              let content_type = doc_sync_data.mime_types[file_type];

              let file_url = doc_sync_data.file_icon;
              if(content_type && content_type.includes("image"))
                  file_url = doc_sync_data.file_icon;
              else if(file_type == 'doc' || file_type == 'docx' || file_type == 'docm')
                  file_url = doc_sync_data.worddoc_icon;
              else if(file_type == 'xlw' || file_type == 'xls' || file_type == 'xlt' || file_type == 'xlsm' || file_type == 'xlsb' || file_type == 'xltx' || file_type == 'xltm' || file_type == 'xlam' || file_type == 'ods' || file_type == 'xlsx')
                  file_url = doc_sync_data.exceldoc_icon;
              else if(file_type == 'pdf')
                  file_url = doc_sync_data.pdfdoc_icon;

              var row = table.insertRow(); 
              var cell1 = row.insertCell();
              var cell2 = row.insertCell();
              var cell3 = row.insertCell();
              var cell4 = row.insertCell();

              cell1.style.display = "flex";
              cell1.style.align = "center";

              let file_redirect_url = doc_sync_data.sharepoint_site_url+'/_layouts/15/Doc.aspx?sourcedoc={'+element.UniqueId +'}&action=default';
              
              cell1.innerHTML =  '<a style="color:black;" href="'+ file_redirect_url +'" target="_blank"><img style="width:20px;height:20px;margin-right:10px;" src="'+file_url+'" >'+element.title+'</a>';
              cell2.innerHTML =   dateFormat(element.date_time, 'dd-MM-yyyy');
              cell3.innerHTML = mo_sps_formatBytes(element.size,0);
              cell3.style.textAlign = "center";
              cell2.style.textAlign = "center";
              cell4.innerHTML = "";   
              cell1.style.wordBreak = "break-all";
            });
            $("#file_search").css('pointer-events','');
          }
        }

      } else {
      
      let x = data.data
        let Documents
        if(data.data=="Forbidden")
            Documents = data.data;
        else if(data.data=="Attempted to perform an unauthorized operation.")
            Documents = "";
        else if(data.data=="Token type is not allowed.")
            Documents="Token type is not allowed.";
        else
          Documents = JSON.parse(data.data);
      if((Documents!="") && (Documents!="Forbidden") && (Documents!="Token type is not allowed.")){

      let Folders_array = Documents.Folders.results;
      let Files_array = Documents.Files.results;
      let noOfFolders = Documents.Folders.results.length;
      let noOfFiles = Documents.Files.results.length;
      global_uri = Documents.site_uri;
      
      // let params = new URLSearchParams(window.location.search)
      //  = params.get('serverRelativeURL');
      let breadcrump = doc_sync_data.serverRelativeURL;

      breadcrump = breadcrump.substring(1);
      
      let breadcrump_array = breadcrump.split("/");


      
      breadcrump_array = breadcrump_array.filter(entry => entry.trim()!= '');
      
      






      let noofelement = breadcrump_array.length;

      
      let temp = "";
      
      let parent = document.getElementById("breadcrump");






      if(doc_sync_data.tab==''){
        $("#table_box").css("width","auto");
        
        for(breadcrump_array_imdex in breadcrump_array){

          temp+="/"+breadcrump_array[breadcrump_array_imdex].replaceAll('\\','');
          
          let refresh = document.getElementById("refresh");
          refresh.href = "?&serverRelativeURL="+mo_sps_urlencode(temp);

          }

        let total_row;
        if(breadcrump_array[0]=='sites' || breadcrump_array[0]=='teams')
        {
          if(breadcrump_array.length==3)
            total_row = noOfFiles + noOfFolders-1;
          else
            total_row = noOfFiles + noOfFolders;
        }             

        else{
          if(breadcrump_array.length==1)
            total_row = noOfFiles + noOfFolders-1;
          else
            total_row = noOfFiles + noOfFolders;
        }


        //case 1 when customer have main site as shaed documents
        //case 2 forms wala nhi rahega

        if(total_row){
            let table_1 = document.getElementById("reports_table");
            table_1.style.display = "";
            
            var table = document.getElementById("mo_sps_report_tbody");

            for (let i = 0; i<noOfFolders; i++) {
                    if(Folders_array[i].Name!='Forms'){
                        var row = table.insertRow(); 
                var cell1 = row.insertCell();
                var cell2 = row.insertCell();
                var cell3 = row.insertCell();
                var cell4 = row.insertCell();

                
                cell1.style.display = "flex";
                cell1.style.align = "center";
                
              let url = Folders_array[i].ServerRelativeUrl;
              
              let url_array = url.split("/");
              
              url_array = url_array.filter(entry => entry.trim()!= '');
              if(url_array[0]=='sites' || url_array[0]=='teams')
                    {
                      url = '';
                      
                      for (let i = 2; i < url_array.length; i++){
                        url = url+'/'+url_array[i];
                        
                      }
                    }
              cell1.innerHTML =  '<img style="width:20px;height:20px;margin-right:10px;" src="'+doc_sync_data.folder_icon_url+'" >'+'<a id="mo_a_hover" href="'+"?&serverRelativeURL="+mo_sps_urlencode(url)+'">'+Folders_array[i].Name+'</a>';
              cell2.innerHTML =   dateFormat(Folders_array[i].TimeLastModified, 'dd-MM-yyyy');
              cell3.innerHTML = "";
              cell4.innerHTML = Folders_array[i].ItemCount;
              
              cell4.style.textAlign = "center";
              cell2.style.textAlign = "center";
              cell1.style.wordBreak = "break-all";
              
  
                  }
          }
          for (let j = 0; j<noOfFiles; j++){
            let file_name_crump = (Files_array[j].Name).split('.');
            let file_type = file_name_crump[file_name_crump.length -1];
            let content_type = doc_sync_data.mime_types[file_type];

            let file_url = doc_sync_data.file_icon;
            if(content_type && content_type.includes("image"))
                file_url = doc_sync_data.file_icon;
            else if(file_type == 'doc' || file_type == 'docx' || file_type == 'docm')
                file_url = doc_sync_data.worddoc_icon;
            else if(file_type == 'xlw' || file_type == 'xls' || file_type == 'xlt' || file_type == 'xlsm' || file_type == 'xlsb' || file_type == 'xltx' || file_type == 'xltm' || file_type == 'xlam' || file_type == 'ods' || file_type == 'xlsx')
                file_url = doc_sync_data.exceldoc_icon;
            else if(file_type == 'pdf')
                file_url = doc_sync_data.pdfdoc_icon;

            let file_redirect_url = doc_sync_data.sharepoint_site_url+'/_layouts/15/Doc.aspx?sourcedoc={'+Files_array[j].UniqueId +'}&action=default';

              var row = table.insertRow(); 
              var cell1 = row.insertCell();
              var cell2 = row.insertCell();
              var cell3 = row.insertCell();
              var cell4 = row.insertCell();
              cell1.style.display = "flex";
              cell1.style.align = "center";
              cell1.innerHTML = '<a style="color:black;" href="'+ file_redirect_url +'" target="_blank"><img style="width:20px;height:20px;margin-right:10px;" src="'+file_url+'" >'+Files_array[j].Name+'</a>';
              cell2.innerHTML = dateFormat(Files_array[j].TimeLastModified, 'dd-MM-yyyy');
              cell3.innerHTML = mo_sps_formatBytes(Files_array[j].Length,0);
              cell3.style.textAlign = "center";
              cell2.style.textAlign = "center";
              cell4.innerHTML = "";   
              cell1.style.wordBreak = "break-all";
              
                  
          }      
      }
    
      else{
          let table_2 = document.getElementById("empty_table");
          table_2.style.display = "block";
      }

      }
      
      else{
      for(breadcrump_array_imdex in breadcrump_array){

          temp+="/"+breadcrump_array[breadcrump_array_imdex].replaceAll('\\','');
          let refresh = document.getElementById("refresh");
          refresh.href = doc_sync_data.admin_url+"admin.php?page=mo_sps&tab=Documents&fetch=0&serverRelativeURL="+mo_sps_urlencode(temp);

          }
      
      let total_row;
      if((breadcrump_array[0]=='sites' || breadcrump_array[0]=='teams') && breadcrump_array.length==3)
        total_row = noOfFiles + noOfFolders-1;
      else
        total_row = noOfFiles + noOfFolders;


      if(total_row){
          let table_1 = document.getElementById("reports_table");
          table_1.style.display = "";
          
          var table = document.getElementById("mo_sps_report_tbody");


          for (let i = 0; i<noOfFolders; i++) {
                  if(Folders_array[i].Name!='Forms'){
                      var row = table.insertRow(); 
              var cell1 = row.insertCell();
              var cell2 = row.insertCell();
              var cell3 = row.insertCell();
              var cell4 = row.insertCell();

              
              cell1.style.display = "flex";
              cell1.style.align = "center";
              
              
              
              let url = Folders_array[i].ServerRelativeUrl;
              let url_array = url.split("/");
              
              url_array = url_array.filter(entry => entry.trim()!= '');
              if(url_array[0]=='sites' || url_array[0]=='teams')
                    {
                      url = '';
                      for (let i = 2; i < url_array.length; i++){
                        url = url+'/'+url_array[i];
                      }
                    }

                    
              cell1.innerHTML =  '<img style="width:20px;height:20px;margin-right:10px;" src="'+doc_sync_data.folder_icon_url+'" >'+'<a id="mo_a_hover" href="'+doc_sync_data.admin_url+"admin.php?page=mo_sps&tab=Documents&fetch=1&serverRelativeURL="+mo_sps_urlencode(url)+'">'+Folders_array[i].Name+'</a>';
              cell2.innerHTML =   dateFormat(Folders_array[i].TimeLastModified, 'dd-MM-yyyy');
              cell3.innerHTML = "";
              cell4.innerHTML = Folders_array[i].ItemCount;
              cell4.style.textAlign = "center";
              cell2.style.textAlign = "center";
              cell1.style.wordBreak = "break-all";
              
              
                  }
          }
          for (let j = 0; j<noOfFiles; j++){
              let file_name_crump = (Files_array[j].Name).split('.');
              let file_type = file_name_crump[file_name_crump.length -1];
              let content_type = doc_sync_data.mime_types[file_type];

              let file_url = doc_sync_data.file_icon;
              if(content_type && content_type.includes("image"))
                  file_url = doc_sync_data.file_icon;
              else if(file_type == 'doc' || file_type == 'docx' || file_type == 'docm')
                  file_url = doc_sync_data.worddoc_icon;
              else if(file_type == 'xlw' || file_type == 'xls' || file_type == 'xlt' || file_type == 'xlsm' || file_type == 'xlsb' || file_type == 'xltx' || file_type == 'xltm' || file_type == 'xlam' || file_type == 'ods' || file_type == 'xlsx')
                  file_url = doc_sync_data.exceldoc_icon;
              else if(file_type == 'pdf')
                  file_url = doc_sync_data.pdfdoc_icon;

              var row = table.insertRow(); 
              var cell1 = row.insertCell();
              var cell2 = row.insertCell();
              var cell3 = row.insertCell();
              var cell4 = row.insertCell();

              let file_redirect_url = doc_sync_data.sharepoint_site_url+'/_layouts/15/Doc.aspx?sourcedoc={'+Files_array[j].UniqueId +'}&action=default';
              cell1.style.display = "flex";
              cell1.style.align = "center";
              if(!doc_sync_data.is_shortcode){
                  cell1.innerHTML = '<div>' +
                      '<a style="color:black;" href="'+ file_redirect_url +'" target="_blank"><img style="width:20px;height:20px;margin-right:10px;" src="'+file_url+'" >'+Files_array[j].Name+'</a>'+
                  '</div>' ;
              }else{
                  cell1.innerHTML = '<div>' +
                      '<a style="color:black;" href="'+ file_redirect_url +'" target="_blank"><img style="width:20px;height:20px;margin-right:10px;" src="'+file_url+'" >'+Files_array[j].Name+'</a>'+
                      '</div>' ;
              }
              cell2.innerHTML = dateFormat(Files_array[j].TimeLastModified, 'dd-MM-yyyy');
              cell3.innerHTML = mo_sps_formatBytes(Files_array[j].Length,0);
              cell3.style.textAlign = "center";
              cell2.style.textAlign = "center";
              cell4.innerHTML = "";   
              cell1.style.wordBreak = "break-all";
          }
      }
   
      else{
          let table_2 = document.getElementById("empty_table");
          table_2.style.display = "block";
      }
    }
    $("#file_search").css('pointer-events','');
  }
 
  else{
    
    if(Documents=="Forbidden")
    {
      
      let table_4 = document.getElementById("forbidden_table");
      table_4.style.display = "block";
    }
    else if(Documents=="Token type is not allowed.")
    {
      let table_5 = document.getElementById("faq_table");
      table_5.style.display = "block";
    }
    else
    {
      let table_3 = document.getElementById("error_table");
      table_3.style.display = "block";
    }
  }
}
    }
  });

  var timeOut;
  $("#search_button").on('click', function(e){
    $('#file_search').trigger({type:'keyup', keyCode:13});
  });
  
  $('#file_search').bind("keypress", function(e) {
    if (e.keyCode == 13) {              
      e.preventDefault();
      return false;
    }
  });

  $(document).on("click", function(event){
    if(!$(event.target).closest("#mySearch").length){
      $("#mySearchDropdown").slideUp("fast");
    }
  });

  $(window).blur(function(e) {
    $("#file_search").blur();
    $("#mySearchDropdown").hide();
  });
  
  var special_chars = ["'",'"',';','}','{','#','%','`','@'];

  $('#file_search').on('keyup click',delay(function(evnt){
    $("#listItems").empty();
    let query_text = temp_text = $(this).val();
    clearTimeout(timeOut);
    

    if(query_text != '') {
      special_chars.forEach(e =>{
        if(query_text.includes(e)) query_text = query_text.slice(0, query_text.indexOf(e));
      });

      let search_uri = query_text;
      let breadcrump = doc_sync_data.serverRelativeURL.replaceAll('\\','');
      
      if(breadcrump == "/Searched Documents") breadcrump = doc_sync_data.folder_path;
      let new_uri = new_uri_copy = global_uri + breadcrump.slice(0, breadcrump.length);
      let parent_link = new_uri_copy = global_uri + breadcrump.slice(0, breadcrump.length) + "*";


      search_uri = '%27(Title:' + search_uri + '*)%27&querytemplate=%27{searchTerms}%20(path:' + encodeURIComponent('"' + new_uri + '"').replace(/'/g,'%27%27') +'%20OR%20ParentLink:'+ encodeURIComponent('"' + parent_link + '"').replace(/'/g,'%27%27')+')%20ContentTypeId:0x0*%27&selectproperties=%27IsContainer,size,Filename,Title,ParentLink,OriginalPath,DefaultEncodingURL,ServerRedirectedPreviewURL,LastModifiedTime,LastModifiedTimeForRetention%27&SummaryLength=100&RowLimit=20&culture=1033&BypassResultTypes=true&EnableQueryRules=false&ProcessBestBets=false&ProcessPersonalFavorites=false&clienttype=%27sug_SPListInline%27&TrimDuplicates=false';
        
        search_ajax = $.ajax({
          url: doc_sync_data.admin_url+"admin-ajax.php", // this is the object instantiated in wp_localize_script function
          type: 'GET',
          data:{
            action: 'mysearchaction', // this is the function in your functions.php that will be triggered
            'queryURL':search_uri,
            'queryText':query_text,
            'checkText':temp_text,
          },

          beforeSend: function(){
            $("#mySearchDropdown").show();
            $("#searching_div").show();
          },

          success: function( data){
              
              let x = data.data
              let Documents
              if(data.data=="Forbidden")
                  Documents = data.data;
              else if(data.data=="Attempted to perform an unauthorized operation.")
                  Documents = "";
              else if(data.data=="Token type is not allowed.")
                  Documents="Token type is not allowed.";
              else
                Documents = data.data;
              if((typeof(Documents) != "undefined") && (Documents!="") && (Documents!="Forbidden") && (Documents!="Token type is not allowed.")){
                Documents.check_text = Documents.check_text.replaceAll('\\','');
                var files = Documents.files;
                var folders = Documents.folders;

                if(evnt.keyCode != 13) {


                  if(Documents.check_text == $("#file_search").val()) {

                  $("#searching_div").hide();

                  var items_link = doc_sync_data.tab=='' ? '?serverRelativeURL=':doc_sync_data.admin_url+"admin.php?page=mo_sps&tab=Documents&fetch=1&serverRelativeURL=";
                  if(breadcrump.slice(1,breadcrump.length) != "") items_link += "/" + breadcrump.slice(1,breadcrump.length);

                  $("#listItems").empty();

                  // if(folders.length == 0 && files.length == 0) $("#listItems").append('<div><h4 style="color:red;">No items match your search</h4></div>');
                  let flag = 0;

                  folders.forEach(element => {
                    if(element.title.toLowerCase().includes(Documents.check_text.toLowerCase())){
                      flag = 1;
                      var path_slice = (element.path).slice(new_uri.length,(element.path).length)
                      var folder_item_link = items_link;
                      if(path_slice != "") folder_item_link += '/' + path_slice;
                      
                      let list_item = '<div><a href="'+folder_item_link+'" class="list_items"><div><img style="display:block;width:1.2rem;height:1.2rem;margin-right:10px;" src="'+doc_sync_data.folder_icon_url+'" alt></div><div><div style="width:11rem"><span style="word-wrap:break-word;font-size:0.9rem;">'+element.title.replace(RegExp(Documents.check_text,"i"), '<mark class="highlighted-text">'+element.title.match(RegExp(Documents.check_text,"i"))+'</mark>')+'</span></div></div></div>'
                      $("#listItems").append(list_item);
                    }
                  });

                  files.forEach(element => {
                    if(element.title.toLowerCase().includes(Documents.check_text.toLowerCase())){
                      flag = 1;
                      var element_path = decodeURI((element.preview_url).substr(0,(element.preview_url).lastIndexOf('/')));
                
                      var path_slice = (element_path).slice(new_uri.length,(element_path).length);
                    
                      var file_item_link = items_link;
                      if(path_slice != "")  file_item_link +='/' + path_slice;

                      let file_name_crump = (element.title).split('.');
                      let file_type = file_name_crump[file_name_crump.length -1];
                      let content_type = doc_sync_data.mime_types[file_type];

                      let file_url = doc_sync_data.file_icon;
                      if(content_type && content_type.includes("image"))
                          file_url = doc_sync_data.file_icon;
                      else if(file_type == 'doc' || file_type == 'docx' || file_type == 'docm')
                          file_url = doc_sync_data.worddoc_icon;
                      else if(file_type == 'xlw' || file_type == 'xls' || file_type == 'xlt' || file_type == 'xlsm' || file_type == 'xlsb' || file_type == 'xltx' || file_type == 'xltm' || file_type == 'xlam' || file_type == 'ods' || file_type == 'xlsx')
                          file_url = doc_sync_data.exceldoc_icon;
                      else if(file_type == 'pdf')
                          file_url = doc_sync_data.pdfdoc_icon;
                      
                      let list_item = '<div><a href="'+file_item_link+'" class="list_items"><div><img style="display:block;width:1.2rem;height:1.2rem;margin-right:10px;" src="'+file_url+'" alt></div><div><div style="width:11rem"><span style="word-wrap:break-word;font-size:0.9rem;">'+element.title.replace(RegExp(Documents.check_text,"i"), '<mark class="highlighted-text">'+element.title.match(RegExp(Documents.check_text,"i"))+'</mark>')+'</span></div></div></div>'
                      $("#listItems").append(list_item);
                    }
                  });
                  if(flag == 0) $("#listItems").append('<div><h4 class="heading-4-red">No Search Results Found.</h4></div>');
                  } else {
                    search_ajax.abort();
                    if(typeof(Documents.check_text) != "undefined") $("#file_search").trigger({type:'keyup'});
                  }
                } else {
                  $("#mySearchDropdown").removeAttr("style").hide();
                  var url = (doc_sync_data.tab == '' ? '?serverRelativeURL=/': doc_sync_data.admin_url+"admin.php?page=mo_sps&tab=Documents&fetch=1&serverRelativeURL=/")+"Searched Documents";
                  window.location = url;
                }
            
              } else {
                search_ajax.abort();
              }
          }
        });
    } else {
      $("#mySearchDropdown").hide();
    }
  },200));
});